#[rustfmt::skip]
pub fn pnp_id_to_name(vendor: &[char; 3]) -> Option<&'static str> {
    match vendor {
        ['A', 'A', 'A'] => Some("Avolites Ltd"),
        ['A', 'A', 'E'] => Some("Anatek Electronics Inc."),
        ['A', 'A', 'M'] => Some("Aava Mobile Oy"),
        ['A', 'A', 'N'] => Some("AAEON Technology Inc."),
        ['A', 'A', 'T'] => Some("Ann Arbor Technologies"),
        ['A', 'B', 'A'] => Some("ABBAHOME INC."),
        ['A', 'B', 'C'] => Some("AboCom System Inc."),
        ['A', 'B', 'D'] => Some("Allen Bradley Company"),
        ['A', 'B', 'E'] => Some("Alcatel Bell"),
        ['A', 'B', 'O'] => Some("D-Link Systems Inc"),
        ['A', 'B', 'S'] => Some("Abaco Systems, Inc."),
        ['A', 'B', 'T'] => Some("Anchor Bay Technologies, Inc."),
        ['A', 'B', 'V'] => Some("Advanced Research Technology"),
        ['A', 'C', 'A'] => Some("Ariel Corporation"),
        ['A', 'C', 'B'] => Some("Aculab Ltd"),
        ['A', 'C', 'C'] => Some("Accton Technology Corporation"),
        ['A', 'C', 'D'] => Some("AWETA BV"),
        ['A', 'C', 'E'] => Some("Actek Engineering Pty Ltd"),
        ['A', 'C', 'G'] => Some("A&R Cambridge Ltd."),
        ['A', 'C', 'H'] => Some("Archtek Telecom Corporation"),
        ['A', 'C', 'I'] => Some("Ancor Communications Inc"),
        ['A', 'C', 'K'] => Some("Acksys"),
        ['A', 'C', 'L'] => Some("Apricot Computers"),
        ['A', 'C', 'M'] => Some("Acroloop Motion Control Systems Inc"),
        ['A', 'C', 'O'] => Some("Allion Computer Inc."),
        ['A', 'C', 'P'] => Some("Aspen Tech Inc"),
        ['A', 'C', 'R'] => Some("Acer Technologies"),
        ['A', 'C', 'S'] => Some("Altos Computer Systems"),
        ['A', 'C', 'T'] => Some("Applied Creative Technology"),
        ['A', 'C', 'U'] => Some("Acculogic"),
        ['A', 'C', 'V'] => Some("ActivCard S.A"),
        ['A', 'D', 'A'] => Some("Addi-Data GmbH"),
        ['A', 'D', 'B'] => Some("Aldebbaron"),
        ['A', 'D', 'C'] => Some("Acnhor Datacomm"),
        ['A', 'D', 'D'] => Some("Advanced Peripheral Devices Inc"),
        ['A', 'D', 'E'] => Some("Arithmos, Inc."),
        ['A', 'D', 'H'] => Some("Aerodata Holdings Ltd"),
        ['A', 'D', 'I'] => Some("ADI Systems Inc"),
        ['A', 'D', 'K'] => Some("Adtek System Science Company Ltd"),
        ['A', 'D', 'L'] => Some("ASTRA Security Products Ltd"),
        ['A', 'D', 'M'] => Some("Ad Lib MultiMedia Inc"),
        ['A', 'D', 'N'] => Some("Analog & Digital Devices Tel. Inc"),
        ['A', 'D', 'P'] => Some("Adaptec Inc"),
        ['A', 'D', 'R'] => Some("Nasa Ames Research Center"),
        ['A', 'D', 'S'] => Some("Analog Devices Inc"),
        ['A', 'D', 'T'] => Some("Adtek"),
        ['A', 'D', 'V'] => Some("Advanced Micro Devices Inc"),
        ['A', 'D', 'X'] => Some("Adax Inc"),
        ['A', 'D', 'Z'] => Some("ADDER TECHNOLOGY LTD"),
        ['A', 'E', 'C'] => Some("Antex Electronics Corporation"),
        ['A', 'E', 'D'] => Some("Advanced Electronic Designs, Inc."),
        ['A', 'E', 'I'] => Some("Actiontec Electric Inc"),
        ['A', 'E', 'J'] => Some("Alpha Electronics Company"),
        ['A', 'E', 'M'] => Some("ASEM S.p.A."),
        ['A', 'E', 'N'] => Some("Avencall"),
        ['A', 'E', 'P'] => Some("Aetas Peripheral International"),
        ['A', 'E', 'T'] => Some("Aethra Telecomunicazioni S.r.l."),
        ['A', 'F', 'A'] => Some("Alfa Inc"),
        ['A', 'G', 'C'] => Some("Beijing Aerospace Golden Card Electronic Engineering Co.,Ltd."),
        ['A', 'G', 'I'] => Some("Artish Graphics Inc"),
        ['A', 'G', 'L'] => Some("Argolis"),
        ['A', 'G', 'M'] => Some("Advan Int'l Corporation"),
        ['A', 'G', 'O'] => Some("AlgolTek, Inc."),
        ['A', 'G', 'T'] => Some("Agilent Technologies"),
        ['A', 'H', 'C'] => Some("Advantech Co., Ltd."),
        ['A', 'H', 'Q'] => Some("Astro HQ LLC"),
        ['A', 'H', 'S'] => Some("Beijing AnHeng SecoTech Information Technology Co., Ltd."),
        ['A', 'I', 'C'] => Some("Arnos Insturments & Computer Systems"),
        ['A', 'I', 'E'] => Some("Altmann Industrieelektronik"),
        ['A', 'I', 'I'] => Some("Amptron International Inc."),
        ['A', 'I', 'K'] => Some("Dongguan Alllike Electronics Co., Ltd."),
        ['A', 'I', 'L'] => Some("Altos India Ltd"),
        ['A', 'I', 'M'] => Some("AIMS Lab Inc"),
        ['A', 'I', 'R'] => Some("Advanced Integ. Research Inc"),
        ['A', 'I', 'S'] => Some("Alien Internet Services"),
        ['A', 'I', 'W'] => Some("Aiwa Company Ltd"),
        ['A', 'I', 'X'] => Some("ALTINEX, INC."),
        ['A', 'J', 'A'] => Some("AJA Video Systems, Inc."),
        ['A', 'K', 'B'] => Some("Akebia Ltd"),
        ['A', 'K', 'E'] => Some("AKAMI Electric Co.,Ltd"),
        ['A', 'K', 'I'] => Some("AKIA Corporation"),
        ['A', 'K', 'L'] => Some("AMiT Ltd"),
        ['A', 'K', 'M'] => Some("Asahi Kasei Microsystems Company Ltd"),
        ['A', 'K', 'P'] => Some("Atom Komplex Prylad"),
        ['A', 'K', 'R'] => Some("Anker Innovations Limited"),
        ['A', 'K', 'Y'] => Some("Askey Computer Corporation"),
        ['A', 'L', 'A'] => Some("Alacron Inc"),
        ['A', 'L', 'C'] => Some("Altec Corporation"),
        ['A', 'L', 'D'] => Some("In4S Inc"),
        ['A', 'L', 'E'] => Some("Alenco BV"),
        ['A', 'L', 'G'] => Some("Realtek Semiconductor Corp."),
        ['A', 'L', 'H'] => Some("AL Systems"),
        ['A', 'L', 'I'] => Some("Acer Labs"),
        ['A', 'L', 'J'] => Some("Altec Lansing"),
        ['A', 'L', 'K'] => Some("Acrolink Inc"),
        ['A', 'L', 'L'] => Some("Alliance Semiconductor Corporation"),
        ['A', 'L', 'M'] => Some("Acutec Ltd."),
        ['A', 'L', 'N'] => Some("Alana Technologies"),
        ['A', 'L', 'O'] => Some("Algolith Inc."),
        ['A', 'L', 'P'] => Some("ALPS ALPINE CO., LTD."),
        ['A', 'L', 'R'] => Some("Advanced Logic"),
        ['A', 'L', 'S'] => Some("Avance Logic Inc"),
        ['A', 'L', 'T'] => Some("Altra"),
        ['A', 'L', 'V'] => Some("AlphaView LCD"),
        ['A', 'L', 'X'] => Some("ALEXON Co.,Ltd."),
        ['A', 'M', 'A'] => Some("Asia Microelectronic Development Inc"),
        ['A', 'M', 'B'] => Some("Ambient Technologies, Inc."),
        ['A', 'M', 'C'] => Some("Attachmate Corporation"),
        ['A', 'M', 'D'] => Some("Amdek Corporation"),
        ['A', 'M', 'I'] => Some("American Megatrends Inc"),
        ['A', 'M', 'L'] => Some("Anderson Multimedia Communications (HK) Limited"),
        ['A', 'M', 'N'] => Some("Amimon LTD."),
        ['A', 'M', 'O'] => Some("Amino Technologies PLC and Amino Communications Limited"),
        ['A', 'M', 'P'] => Some("AMP Inc"),
        ['A', 'M', 'R'] => Some("AmTRAN Technology Co., Ltd."),
        ['A', 'M', 'S'] => Some("ARMSTEL, Inc."),
        ['A', 'M', 'T'] => Some("AMT International Industry"),
        ['A', 'M', 'X'] => Some("AMX LLC"),
        ['A', 'N', 'A'] => Some("Anakron"),
        ['A', 'N', 'C'] => Some("Ancot"),
        ['A', 'N', 'D'] => Some("Adtran Inc"),
        ['A', 'N', 'I'] => Some("Anigma Inc"),
        ['A', 'N', 'K'] => Some("Anko Electronic Company Ltd"),
        ['A', 'N', 'L'] => Some("Analogix Semiconductor, Inc"),
        ['A', 'N', 'O'] => Some("Anorad Corporation"),
        ['A', 'N', 'P'] => Some("Andrew Network Production"),
        ['A', 'N', 'R'] => Some("ANR Ltd"),
        ['A', 'N', 'S'] => Some("Ansel Communication Company"),
        ['A', 'N', 'T'] => Some("Ace CAD Enterprise Company Ltd"),
        ['A', 'N', 'V'] => Some("Beijing ANTVR Technology Co., Ltd."),
        ['A', 'N', 'W'] => Some("Analog Way SAS"),
        ['A', 'N', 'X'] => Some("Acer Netxus Inc"),
        ['A', 'O', 'A'] => Some("AOpen Inc."),
        ['A', 'O', 'E'] => Some("Advanced Optics Electronics, Inc."),
        ['A', 'O', 'L'] => Some("America OnLine"),
        ['A', 'O', 'T'] => Some("Alcatel"),
        ['A', 'P', 'C'] => Some("American Power Conversion"),
        ['A', 'P', 'D'] => Some("AppliAdata"),
        ['A', 'P', 'E'] => Some("ALPS ALPINE CO., LTD."),
        ['A', 'P', 'G'] => Some("Horner Electric Inc"),
        ['A', 'P', 'I'] => Some("A Plus Info Corporation"),
        ['A', 'P', 'L'] => Some("Aplicom Oy"),
        ['A', 'P', 'M'] => Some("Applied Memory Tech"),
        ['A', 'P', 'N'] => Some("Appian Tech Inc"),
        ['A', 'P', 'P'] => Some("Apple Computer Inc"),
        ['A', 'P', 'R'] => Some("Aprilia s.p.a."),
        ['A', 'P', 'S'] => Some("Autologic Inc"),
        ['A', 'P', 'T'] => Some("Audio Processing Technology Ltd"),
        ['A', 'P', 'V'] => Some("A+V Link"),
        ['A', 'P', 'X'] => Some("AP Designs Ltd"),
        ['A', 'R', 'C'] => Some("Alta Research Corporation"),
        ['A', 'R', 'D'] => Some("AREC Inc."),
        ['A', 'R', 'E'] => Some("ICET S.p.A."),
        ['A', 'R', 'G'] => Some("Argus Electronics Co., LTD"),
        ['A', 'R', 'I'] => Some("Argosy Research Inc"),
        ['A', 'R', 'K'] => Some("Ark Logic Inc"),
        ['A', 'R', 'L'] => Some("Arlotto Comnet Inc"),
        ['A', 'R', 'M'] => Some("Arima"),
        ['A', 'R', 'O'] => Some("Poso International B.V."),
        ['A', 'R', 'R'] => Some("ARRIS Group, Inc."),
        ['A', 'R', 'S'] => Some("Arescom Inc"),
        ['A', 'R', 'T'] => Some("Corion Industrial Corporation"),
        ['A', 'S', 'C'] => Some("Ascom Strategic Technology Unit"),
        ['A', 'S', 'D'] => Some("USC Information Sciences Institute"),
        ['A', 'S', 'E'] => Some("AseV Display Labs"),
        ['A', 'S', 'H'] => Some("Ashton Bentley Concepts"),
        ['A', 'S', 'I'] => Some("Ahead Systems"),
        ['A', 'S', 'K'] => Some("Ask A/S"),
        ['A', 'S', 'L'] => Some("AccuScene Corporation Ltd"),
        ['A', 'S', 'M'] => Some("ASEM S.p.A."),
        ['A', 'S', 'N'] => Some("Asante Tech Inc"),
        ['A', 'S', 'P'] => Some("ASP Microelectronics Ltd"),
        ['A', 'S', 'T'] => Some("AST Research Inc"),
        ['A', 'S', 'U'] => Some("Asuscom Network Inc"),
        ['A', 'S', 'X'] => Some("AudioScience"),
        ['A', 'S', 'Y'] => Some("Rockwell Collins / Airshow Systems"),
        ['A', 'T', 'A'] => Some("Allied Telesyn International (Asia) Pte Ltd"),
        ['A', 'T', 'C'] => Some("Ably-Tech Corporation"),
        ['A', 'T', 'D'] => Some("Alpha Telecom Inc"),
        ['A', 'T', 'E'] => Some("Innovate Ltd"),
        ['A', 'T', 'H'] => Some("Athena Informatica S.R.L."),
        ['A', 'T', 'I'] => Some("Allied Telesis KK"),
        ['A', 'T', 'J'] => Some("ArchiTek Corporation"),
        ['A', 'T', 'K'] => Some("Allied Telesyn Int'l"),
        ['A', 'T', 'L'] => Some("Arcus Technology Ltd"),
        ['A', 'T', 'M'] => Some("ATM Ltd"),
        ['A', 'T', 'N'] => Some("Athena Smartcard Solutions Ltd."),
        ['A', 'T', 'O'] => Some("ASTRO DESIGN, INC."),
        ['A', 'T', 'P'] => Some("Alpha-Top Corporation"),
        ['A', 'T', 'T'] => Some("AT&T"),
        ['A', 'T', 'V'] => Some("Office Depot, Inc."),
        ['A', 'T', 'X'] => Some("Athenix Corporation"),
        ['A', 'U', 'D'] => Some("AudioControl"),
        ['A', 'U', 'G'] => Some("August Home, Inc."),
        ['A', 'U', 'I'] => Some("ALPS ALPINE CO., LTD."),
        ['A', 'U', 'O'] => Some("AU Optronics"),
        ['A', 'U', 'R'] => Some("Aureal Semiconductor"),
        ['A', 'U', 'S'] => Some("ASUSTek COMPUTER INC"),
        ['A', 'U', 'T'] => Some("Autotime Corporation"),
        ['A', 'U', 'V'] => Some("Auvidea GmbH"),
        ['A', 'V', 'A'] => Some("Avaya Communication"),
        ['A', 'V', 'C'] => Some("Auravision Corporation"),
        ['A', 'V', 'D'] => Some("Avid Electronics Corporation"),
        ['A', 'V', 'E'] => Some("Add Value Enterpises (Asia) Pte Ltd"),
        ['A', 'V', 'G'] => Some("Avegant Corporation"),
        ['A', 'V', 'I'] => Some("Nippon Avionics Co.,Ltd"),
        ['A', 'V', 'J'] => Some("Atelier Vision Corporation"),
        ['A', 'V', 'L'] => Some("Avalue Technology Inc."),
        ['A', 'V', 'M'] => Some("AVM GmbH"),
        ['A', 'V', 'N'] => Some("Advance Computer Corporation"),
        ['A', 'V', 'O'] => Some("Avocent Corporation"),
        ['A', 'V', 'R'] => Some("AVer Information Inc."),
        ['A', 'V', 'S'] => Some("Avatron Software Inc."),
        ['A', 'V', 'T'] => Some("Avtek (Electronics) Pty Ltd"),
        ['A', 'V', 'V'] => Some("SBS Technologies (Canada), Inc. (was Avvida Systems, Inc.)"),
        ['A', 'V', 'X'] => Some("A/Vaux Electronics"),
        ['A', 'W', 'C'] => Some("Access Works Comm Inc"),
        ['A', 'W', 'L'] => Some("Aironet Wireless Communications, Inc"),
        ['A', 'W', 'S'] => Some("Wave Systems"),
        ['A', 'X', 'B'] => Some("Adrienne Electronics Corporation"),
        ['A', 'X', 'C'] => Some("AXIOMTEK CO., LTD."),
        ['A', 'X', 'E'] => Some("Axell Corporation"),
        ['A', 'X', 'I'] => Some("American Magnetics"),
        ['A', 'X', 'L'] => Some("Axel"),
        ['A', 'X', 'O'] => Some("Axonic Labs LLC"),
        ['A', 'X', 'P'] => Some("American Express"),
        ['A', 'X', 'T'] => Some("Axtend Technologies Inc"),
        ['A', 'X', 'X'] => Some("Axxon Computer Corporation"),
        ['A', 'X', 'Y'] => Some("AXYZ Automation Services, Inc"),
        ['A', 'Y', 'D'] => Some("Aydin Displays"),
        ['A', 'Y', 'R'] => Some("Airlib, Inc"),
        ['A', 'Z', 'H'] => Some("Shenzhen three Connaught Information Technology Co., Ltd. (3nod Group)"),
        ['A', 'Z', 'M'] => Some("AZ Middelheim - Radiotherapy"),
        ['A', 'Z', 'T'] => Some("Aztech Systems Ltd"),
        ['B', 'A', 'C'] => Some("Biometric Access Corporation"),
        ['B', 'A', 'N'] => Some("Banyan"),
        ['B', 'B', 'B'] => Some("an-najah university"),
        ['B', 'B', 'H'] => Some("B&Bh"),
        ['B', 'B', 'L'] => Some("Brain Boxes Limited"),
        ['B', 'B', 'V'] => Some("BlueBox Video Limited"),
        ['B', 'B', 'X'] => Some("Black Box Corporation"),
        ['B', 'C', 'C'] => Some("Beaver Computer Corporaton"),
        ['B', 'C', 'D'] => Some("Barco GmbH"),
        ['B', 'C', 'I'] => Some("Broadata Communications Inc."),
        ['B', 'C', 'M'] => Some("Broadcom"),
        ['B', 'C', 'Q'] => Some("Deutsche Telekom Berkom GmbH"),
        ['B', 'C', 'S'] => Some("Booria CAD/CAM systems"),
        ['B', 'D', 'O'] => Some("Brahler ICS"),
        ['B', 'D', 'R'] => Some("Blonder Tongue Labs, Inc."),
        ['B', 'D', 'S'] => Some("Barco Display Systems"),
        ['B', 'E', 'C'] => Some("Beckhoff Automation"),
        ['B', 'E', 'I'] => Some("Beckworth Enterprises Inc"),
        ['B', 'E', 'K'] => Some("Beko Elektronik A.S."),
        ['B', 'E', 'L'] => Some("Beltronic Industrieelektronik GmbH"),
        ['B', 'E', 'O'] => Some("Baug & Olufsen"),
        ['B', 'F', 'E'] => Some("B.F. Engineering Corporation"),
        ['B', 'G', 'B'] => Some("Barco Graphics N.V"),
        ['B', 'G', 'T'] => Some("Budzetron Inc"),
        ['B', 'H', 'Z'] => Some("BitHeadz, Inc."),
        ['B', 'I', 'A'] => Some("Biamp Systems Corporation"),
        ['B', 'I', 'C'] => Some("Big Island Communications"),
        ['B', 'I', 'I'] => Some("Boeckeler Instruments Inc"),
        ['B', 'I', 'L'] => Some("Billion Electric Company Ltd"),
        ['B', 'I', 'O'] => Some("BioLink Technologies International, Inc."),
        ['B', 'I', 'T'] => Some("Bit 3 Computer"),
        ['B', 'L', 'D'] => Some("BILD INNOVATIVE TECHNOLOGY LLC"),
        ['B', 'L', 'I'] => Some("Busicom"),
        ['B', 'L', 'N'] => Some("BioLink Technologies"),
        ['B', 'L', 'P'] => Some("Bloomberg L.P."),
        ['B', 'M', 'D'] => Some("Blackmagic Design"),
        ['B', 'M', 'I'] => Some("Benson Medical Instruments Company"),
        ['B', 'M', 'L'] => Some("BIOMED Lab"),
        ['B', 'M', 'S'] => Some("BIOMEDISYS"),
        ['B', 'N', 'E'] => Some("Bull AB"),
        ['B', 'N', 'K'] => Some("Banksia Tech Pty Ltd"),
        ['B', 'N', 'O'] => Some("Bang & Olufsen"),
        ['B', 'N', 'S'] => Some("Boulder Nonlinear Systems"),
        ['B', 'O', 'B'] => Some("Rainy Orchard"),
        ['B', 'O', 'E'] => Some("BOE"),
        ['B', 'O', 'I'] => Some("NINGBO BOIGLE DIGITAL TECHNOLOGY CO.,LTD"),
        ['B', 'O', 'S'] => Some("BOS"),
        ['B', 'P', 'D'] => Some("Micro Solutions, Inc."),
        ['B', 'P', 'S'] => Some("Barco, N.V."),
        ['B', 'P', 'U'] => Some("Best Power"),
        ['B', 'R', 'A'] => Some("Braemac Pty Ltd"),
        ['B', 'R', 'C'] => Some("BARC"),
        ['B', 'R', 'G'] => Some("Bridge Information Co., Ltd"),
        ['B', 'R', 'I'] => Some("Boca Research Inc"),
        ['B', 'R', 'M'] => Some("Braemar Inc"),
        ['B', 'R', 'O'] => Some("BROTHER INDUSTRIES,LTD."),
        ['B', 'S', 'E'] => Some("Bose Corporation"),
        ['B', 'S', 'G'] => Some("Robert Bosch GmbH"),
        ['B', 'S', 'L'] => Some("Biomedical Systems Laboratory"),
        ['B', 'S', 'N'] => Some("BRIGHTSIGN, LLC"),
        ['B', 'S', 'T'] => Some("BodySound Technologies, Inc."),
        ['B', 'T', 'C'] => Some("Bit 3 Computer"),
        ['B', 'T', 'E'] => Some("Brilliant Technology"),
        ['B', 'T', 'F'] => Some("Bitfield Oy"),
        ['B', 'T', 'I'] => Some("BusTech Inc"),
        ['B', 'T', 'O'] => Some("BioTao Ltd"),
        ['B', 'U', 'F'] => Some("Yasuhiko Shirai Melco Inc"),
        ['B', 'U', 'G'] => Some("B.U.G., Inc."),
        ['B', 'U', 'J'] => Some("ATI Tech Inc"),
        ['B', 'U', 'L'] => Some("Bull"),
        ['B', 'U', 'R'] => Some("B&R Industrial Automation GmbH"),
        ['B', 'U', 'S'] => Some("BusTek"),
        ['B', 'U', 'T'] => Some("21ST CENTURY ENTERTAINMENT"),
        ['B', 'W', 'K'] => Some("Bitworks Inc."),
        ['B', 'X', 'E'] => Some("Buxco Electronics"),
        ['B', 'Y', 'D'] => Some("byd:sign corporation"),
        ['C', 'A', 'A'] => Some("Castles Automation Co., Ltd"),
        ['C', 'A', 'C'] => Some("CA & F Elettronica"),
        ['C', 'A', 'G'] => Some("CalComp"),
        ['C', 'A', 'I'] => Some("Canon Inc."),
        ['C', 'A', 'L'] => Some("Acon"),
        ['C', 'A', 'M'] => Some("Cambridge Audio"),
        ['C', 'A', 'N'] => Some("Canopus Company Ltd"),
        ['C', 'A', 'R'] => Some("Cardinal Company Ltd"),
        ['C', 'A', 'S'] => Some("CASIO COMPUTER CO.,LTD"),
        ['C', 'A', 'T'] => Some("Consultancy in Advanced Technology"),
        ['C', 'A', 'V'] => Some("Cavium Networks, Inc"),
        ['C', 'B', 'I'] => Some("ComputerBoards Inc"),
        ['C', 'B', 'R'] => Some("Cebra Tech A/S"),
        ['C', 'B', 'T'] => Some("Cabletime Ltd"),
        ['C', 'B', 'X'] => Some("Cybex Computer Products Corporation"),
        ['C', 'C', 'C'] => Some("C-Cube Microsystems"),
        ['C', 'C', 'I'] => Some("Cache"),
        ['C', 'C', 'J'] => Some("CONTEC CO.,LTD."),
        ['C', 'C', 'L'] => Some("CCL/ITRI"),
        ['C', 'C', 'P'] => Some("Capetronic USA Inc"),
        ['C', 'D', 'C'] => Some("Core Dynamics Corporation"),
        ['C', 'D', 'D'] => Some("Convergent Data Devices"),
        ['C', 'D', 'E'] => Some("Colin.de"),
        ['C', 'D', 'G'] => Some("Christie Digital Systems Inc"),
        ['C', 'D', 'I'] => Some("Concept Development Inc"),
        ['C', 'D', 'K'] => Some("Cray Communications"),
        ['C', 'D', 'N'] => Some("Codenoll Technical Corporation"),
        ['C', 'D', 'P'] => Some("CalComp"),
        ['C', 'D', 'S'] => Some("Computer Diagnostic Systems"),
        ['C', 'D', 'T'] => Some("IBM Corporation"),
        ['C', 'D', 'V'] => Some("Convergent Design Inc."),
        ['C', 'E', 'A'] => Some("Consumer Electronics Association"),
        ['C', 'E', 'C'] => Some("Chicony Electronics Company Ltd"),
        ['C', 'E', 'D'] => Some("Cambridge Electronic Design Ltd"),
        ['C', 'E', 'F'] => Some("Cefar Digital Vision"),
        ['C', 'E', 'I'] => Some("Crestron Electronics, Inc."),
        ['C', 'E', 'M'] => Some("MEC Electronics GmbH"),
        ['C', 'E', 'N'] => Some("Centurion Technologies P/L"),
        ['C', 'E', 'P'] => Some("C-DAC"),
        ['C', 'E', 'R'] => Some("Ceronix"),
        ['C', 'E', 'T'] => Some("TEC CORPORATION"),
        ['C', 'F', 'G'] => Some("Atlantis"),
        ['C', 'F', 'R'] => Some("Meta View, Inc."),
        ['C', 'G', 'A'] => Some("Chunghwa Picture Tubes, LTD"),
        ['C', 'G', 'S'] => Some("Chyron Corp"),
        ['C', 'G', 'T'] => Some("congatec AG"),
        ['C', 'H', 'A'] => Some("Chase Research PLC"),
        ['C', 'H', 'D'] => Some("ChangHong Electric Co.,Ltd"),
        ['C', 'H', 'E'] => Some("Acer Inc"),
        ['C', 'H', 'G'] => Some("Sichuan Changhong Electric CO, LTD."),
        ['C', 'H', 'I'] => Some("Chrontel Inc"),
        ['C', 'H', 'L'] => Some("Chloride-R&D"),
        ['C', 'H', 'M'] => Some("CHIC TECHNOLOGY CORP."),
        ['C', 'H', 'O'] => Some("Sichuang Changhong Corporation"),
        ['C', 'H', 'P'] => Some("CH Products"),
        ['C', 'H', 'R'] => Some("christmann informationstechnik + medien GmbH & Co. KG"),
        ['C', 'H', 'S'] => Some("Agentur Chairos"),
        ['C', 'H', 'T'] => Some("Chunghwa Picture Tubes,LTD."),
        ['C', 'H', 'Y'] => Some("Cherry GmbH"),
        ['C', 'I', 'C'] => Some("Comm. Intelligence Corporation"),
        ['C', 'I', 'E'] => Some("Convergent Engineering, Inc."),
        ['C', 'I', 'I'] => Some("Cromack Industries Inc"),
        ['C', 'I', 'L'] => Some("Citicom Infotech Private Limited"),
        ['C', 'I', 'N'] => Some("Citron GmbH"),
        ['C', 'I', 'P'] => Some("Ciprico Inc"),
        ['C', 'I', 'R'] => Some("Cirrus Logic Inc"),
        ['C', 'I', 'S'] => Some("Cisco Systems Inc"),
        ['C', 'I', 'T'] => Some("Citifax Limited"),
        ['C', 'K', 'C'] => Some("The Concept Keyboard Company Ltd"),
        ['C', 'K', 'J'] => Some("Carina System Co., Ltd."),
        ['C', 'L', 'A'] => Some("Clarion Company Ltd"),
        ['C', 'L', 'D'] => Some("COMMAT L.t.d."),
        ['C', 'L', 'E'] => Some("Classe Audio"),
        ['C', 'L', 'G'] => Some("CoreLogic"),
        ['C', 'L', 'I'] => Some("Cirrus Logic Inc"),
        ['C', 'L', 'M'] => Some("CrystaLake Multimedia"),
        ['C', 'L', 'O'] => Some("Clone Computers"),
        ['C', 'L', 'R'] => Some("Clover Electronics"),
        ['C', 'L', 'T'] => Some("automated computer control systems"),
        ['C', 'L', 'V'] => Some("Clevo Company"),
        ['C', 'L', 'X'] => Some("CardLogix"),
        ['C', 'M', 'C'] => Some("CMC Ltd"),
        ['C', 'M', 'D'] => Some("Colorado MicroDisplay, Inc."),
        ['C', 'M', 'G'] => Some("Chenming Mold Ind. Corp."),
        ['C', 'M', 'I'] => Some("C-Media Electronics"),
        ['C', 'M', 'K'] => Some("Comark LLC"),
        ['C', 'M', 'M'] => Some("Comtime GmbH"),
        ['C', 'M', 'N'] => Some("Chimei Innolux Corporation"),
        ['C', 'M', 'O'] => Some("Chi Mei Optoelectronics corp."),
        ['C', 'M', 'R'] => Some("Cambridge Research Systems Ltd"),
        ['C', 'M', 'S'] => Some("CompuMaster Srl"),
        ['C', 'M', 'X'] => Some("Comex Electronics AB"),
        ['C', 'N', 'B'] => Some("American Power Conversion"),
        ['C', 'N', 'C'] => Some("Alvedon Computers Ltd"),
        ['C', 'N', 'D'] => Some("Micro-Star Int'l Co., Ltd."),
        ['C', 'N', 'E'] => Some("Cine-tal"),
        ['C', 'N', 'I'] => Some("Connect Int'l A/S"),
        ['C', 'N', 'N'] => Some("Canon Inc"),
        ['C', 'N', 'T'] => Some("COINT Multimedia Systems"),
        ['C', 'O', 'B'] => Some("COBY Electronics Co., Ltd"),
        ['C', 'O', 'D'] => Some("CODAN Pty. Ltd."),
        ['C', 'O', 'I'] => Some("Codec Inc."),
        ['C', 'O', 'L'] => Some("Rockwell Collins, Inc."),
        ['C', 'O', 'M'] => Some("Comtrol Corporation"),
        ['C', 'O', 'N'] => Some("Contec Company Ltd"),
        ['C', 'O', 'O'] => Some("coolux GmbH"),
        ['C', 'O', 'R'] => Some("Corollary Inc"),
        ['C', 'O', 'S'] => Some("CoStar Corporation"),
        ['C', 'O', 'T'] => Some("Core Technology Inc"),
        ['C', 'O', 'W'] => Some("Polycow Productions"),
        ['C', 'O', 'X'] => Some("Comrex"),
        ['C', 'P', 'C'] => Some("Ciprico Inc"),
        ['C', 'P', 'D'] => Some("CompuAdd"),
        ['C', 'P', 'I'] => Some("Computer Peripherals Inc"),
        ['C', 'P', 'L'] => Some("Compal Electronics Inc"),
        ['C', 'P', 'M'] => Some("Capella Microsystems Inc."),
        ['C', 'P', 'P'] => Some("Compound Photonics"),
        ['C', 'P', 'Q'] => Some("Compaq Computer Company"),
        ['C', 'P', 'T'] => Some("cPATH"),
        ['C', 'P', 'X'] => Some("Powermatic Data Systems"),
        ['C', 'R', 'A'] => Some("CRALTECH ELECTRONICA, S.L."),
        ['C', 'R', 'C'] => Some("CONRAC GmbH"),
        ['C', 'R', 'D'] => Some("Cardinal Technical Inc"),
        ['C', 'R', 'E'] => Some("Creative Labs Inc"),
        ['C', 'R', 'H'] => Some("Contemporary Research Corp."),
        ['C', 'R', 'I'] => Some("Crio Inc."),
        ['C', 'R', 'L'] => Some("Creative Logic"),
        ['C', 'R', 'M'] => Some("CORSAIR MEMORY Inc."),
        ['C', 'R', 'N'] => Some("Cornerstone Imaging"),
        ['C', 'R', 'O'] => Some("Extraordinary Technologies PTY Limited"),
        ['C', 'R', 'Q'] => Some("Cirque Corporation"),
        ['C', 'R', 'S'] => Some("Crescendo Communication Inc"),
        ['C', 'R', 'V'] => Some("Cerevo Inc."),
        ['C', 'R', 'W'] => Some("Cammegh Limited"),
        ['C', 'R', 'X'] => Some("Cyrix Corporation"),
        ['C', 'S', 'B'] => Some("Transtex SA"),
        ['C', 'S', 'C'] => Some("Crystal Semiconductor"),
        ['C', 'S', 'D'] => Some("Cresta Systems Inc"),
        ['C', 'S', 'E'] => Some("Concept Solutions & Engineering"),
        ['C', 'S', 'I'] => Some("Cabletron System Inc"),
        ['C', 'S', 'L'] => Some("Cloudium Systems Ltd."),
        ['C', 'S', 'M'] => Some("Cosmic Engineering Inc."),
        ['C', 'S', 'O'] => Some("California Institute of Technology"),
        ['C', 'S', 'S'] => Some("CSS Laboratories"),
        ['C', 'S', 'T'] => Some("CSTI Inc"),
        ['C', 'T', 'A'] => Some("CoSystems Inc"),
        ['C', 'T', 'C'] => Some("CTC Communication Development Company Ltd"),
        ['C', 'T', 'E'] => Some("Chunghwa Telecom Co., Ltd."),
        ['C', 'T', 'L'] => Some("Creative Technology Ltd"),
        ['C', 'T', 'M'] => Some("Computerm Corporation"),
        ['C', 'T', 'N'] => Some("Computone Products"),
        ['C', 'T', 'P'] => Some("Computer Technology Corporation"),
        ['C', 'T', 'R'] => Some("Control4 Corporation"),
        ['C', 'T', 'S'] => Some("Comtec Systems Co., Ltd."),
        ['C', 'T', 'X'] => Some("Creatix Polymedia GmbH"),
        ['C', 'U', 'B'] => Some("Cubix Corporation"),
        ['C', 'U', 'K'] => Some("Calibre UK Ltd"),
        ['C', 'V', 'A'] => Some("Covia Inc."),
        ['C', 'V', 'I'] => Some("Colorado Video, Inc."),
        ['C', 'V', 'P'] => Some("Chromatec Video Products Ltd"),
        ['C', 'V', 'S'] => Some("Clarity Visual Systems"),
        ['C', 'W', 'C'] => Some("Curtiss-Wright Controls, Inc."),
        ['C', 'W', 'R'] => Some("Connectware Inc"),
        ['C', 'X', 'T'] => Some("Conexant Systems"),
        ['C', 'Y', 'B'] => Some("CyberVision"),
        ['C', 'Y', 'C'] => Some("Cylink Corporation"),
        ['C', 'Y', 'D'] => Some("Cyclades Corporation"),
        ['C', 'Y', 'L'] => Some("Cyberlabs"),
        ['C', 'Y', 'P'] => Some("CYPRESS SEMICONDUCTOR CORPORATION"),
        ['C', 'Y', 'T'] => Some("Cytechinfo Inc"),
        ['C', 'Y', 'V'] => Some("Cyviz AS"),
        ['C', 'Y', 'W'] => Some("Cyberware"),
        ['C', 'Y', 'X'] => Some("Cyrix Corporation"),
        ['C', 'Z', 'C'] => Some("Shenzhen ChuangZhiCheng Technology Co., Ltd."),
        ['C', 'Z', 'E'] => Some("Carl Zeiss AG"),
        ['D', 'A', 'C'] => Some("Digital Acoustics Corporation"),
        ['D', 'A', 'E'] => Some("Digatron Industrie Elektronik GmbH"),
        ['D', 'A', 'I'] => Some("DAIS SET Ltd."),
        ['D', 'A', 'K'] => Some("Daktronics"),
        ['D', 'A', 'L'] => Some("Digital Audio Labs Inc"),
        ['D', 'A', 'N'] => Some("Danelec Marine A/S"),
        ['D', 'A', 'S'] => Some("DAVIS AS"),
        ['D', 'A', 'T'] => Some("Datel Inc"),
        ['D', 'A', 'U'] => Some("Daou Tech Inc"),
        ['D', 'A', 'V'] => Some("Davicom Semiconductor Inc"),
        ['D', 'A', 'W'] => Some("DA2 Technologies Inc"),
        ['D', 'A', 'X'] => Some("Data Apex Ltd"),
        ['D', 'B', 'D'] => Some("Diebold Inc."),
        ['D', 'B', 'I'] => Some("DigiBoard Inc"),
        ['D', 'B', 'K'] => Some("Databook Inc"),
        ['D', 'B', 'L'] => Some("Doble Engineering Company"),
        ['D', 'B', 'N'] => Some("DB Networks Inc"),
        ['D', 'C', 'A'] => Some("Digital Communications Association"),
        ['D', 'C', 'C'] => Some("Dale Computer Corporation"),
        ['D', 'C', 'D'] => Some("Datacast LLC"),
        ['D', 'C', 'E'] => Some("dSPACE GmbH"),
        ['D', 'C', 'I'] => Some("Concepts Inc"),
        ['D', 'C', 'L'] => Some("Dynamic Controls Ltd"),
        ['D', 'C', 'M'] => Some("DCM Data Products"),
        ['D', 'C', 'O'] => Some("Dialogue Technology Corporation"),
        ['D', 'C', 'R'] => Some("Decros Ltd"),
        ['D', 'C', 'S'] => Some("Diamond Computer Systems Inc"),
        ['D', 'C', 'T'] => Some("Dancall Telecom A/S"),
        ['D', 'C', 'V'] => Some("Datatronics Technology Inc"),
        ['D', 'D', 'A'] => Some("DA2 Technologies Corporation"),
        ['D', 'D', 'D'] => Some("Danka Data Devices"),
        ['D', 'D', 'E'] => Some("Datasat Digital Entertainment"),
        ['D', 'D', 'I'] => Some("Data Display AG"),
        ['D', 'D', 'S'] => Some("Barco, N.V."),
        ['D', 'D', 'T'] => Some("Datadesk Technologies Inc"),
        ['D', 'D', 'V'] => Some("Delta Information Systems, Inc"),
        ['D', 'E', 'C'] => Some("Digital Equipment Corporation"),
        ['D', 'E', 'I'] => Some("Deico Electronics"),
        ['D', 'E', 'L'] => Some("Dell Inc."),
        ['D', 'E', 'N'] => Some("Densitron Computers Ltd"),
        ['D', 'E', 'X'] => Some("idex displays"),
        ['D', 'F', 'I'] => Some("DFI"),
        ['D', 'F', 'K'] => Some("SharkTec A/S"),
        ['D', 'F', 'T'] => Some("DEI Holdings dba Definitive Technology"),
        ['D', 'G', 'A'] => Some("Digiital Arts Inc"),
        ['D', 'G', 'C'] => Some("Data General Corporation"),
        ['D', 'G', 'I'] => Some("DIGI International"),
        ['D', 'G', 'K'] => Some("DugoTech Co., LTD"),
        ['D', 'G', 'P'] => Some("Digicorp European sales S.A."),
        ['D', 'G', 'S'] => Some("Diagsoft Inc"),
        ['D', 'G', 'T'] => Some("Dearborn Group Technology"),
        ['D', 'H', 'D'] => Some("Dension Audio Systems"),
        ['D', 'H', 'P'] => Some("DH Print"),
        ['D', 'H', 'Q'] => Some("Quadram"),
        ['D', 'H', 'T'] => Some("Projectavision Inc"),
        ['D', 'I', 'A'] => Some("Diadem"),
        ['D', 'I', 'G'] => Some("Digicom S.p.A."),
        ['D', 'I', 'I'] => Some("Dataq Instruments Inc"),
        ['D', 'I', 'M'] => Some("dPict Imaging, Inc."),
        ['D', 'I', 'N'] => Some("Daintelecom Co., Ltd"),
        ['D', 'I', 'S'] => Some("Diseda S.A."),
        ['D', 'I', 'T'] => Some("Dragon Information Technology"),
        ['D', 'J', 'E'] => Some("Capstone Visual Product Development"),
        ['D', 'J', 'P'] => Some("Maygay Machines, Ltd"),
        ['D', 'K', 'Y'] => Some("Datakey Inc"),
        ['D', 'L', 'B'] => Some("Dolby Laboratories Inc."),
        ['D', 'L', 'C'] => Some("Diamond Lane Comm. Corporation"),
        ['D', 'L', 'G'] => Some("Digital-Logic GmbH"),
        ['D', 'L', 'K'] => Some("D-Link Systems Inc"),
        ['D', 'L', 'L'] => Some("Dell Inc"),
        ['D', 'L', 'M'] => Some("DLOGIC Ltd."),
        ['D', 'L', 'O'] => Some("Shenzhen Dlodlo Technologies Co., Ltd."),
        ['D', 'L', 'T'] => Some("Digitelec Informatique Park Cadera"),
        ['D', 'M', 'B'] => Some("Digicom Systems Inc"),
        ['D', 'M', 'C'] => Some("Dune Microsystems Corporation"),
        ['D', 'M', 'G'] => Some("Monoprice.Inc"),
        ['D', 'M', 'M'] => Some("Dimond Multimedia Systems Inc"),
        ['D', 'M', 'N'] => Some("Dimension Engineering LLC"),
        ['D', 'M', 'O'] => Some("Data Modul AG"),
        ['D', 'M', 'P'] => Some("D&M Holdings Inc, Professional Business Company"),
        ['D', 'M', 'S'] => Some("DOME imaging systems"),
        ['D', 'M', 'T'] => Some("Distributed Management Task Force, Inc. (DMTF)"),
        ['D', 'M', 'V'] => Some("NDS Ltd"),
        ['D', 'N', 'A'] => Some("DNA Enterprises, Inc."),
        ['D', 'N', 'G'] => Some("Apache Micro Peripherals Inc"),
        ['D', 'N', 'I'] => Some("Deterministic Networks Inc."),
        ['D', 'N', 'T'] => Some("Dr. Neuhous Telekommunikation GmbH"),
        ['D', 'N', 'V'] => Some("DiCon"),
        ['D', 'O', 'L'] => Some("Dolman Technologies Group Inc"),
        ['D', 'O', 'M'] => Some("Dome Imaging Systems"),
        ['D', 'O', 'N'] => Some("DENON, Ltd."),
        ['D', 'O', 'T'] => Some("Dotronic Mikroelektronik GmbH"),
        ['D', 'P', 'A'] => Some("DigiTalk Pro AV"),
        ['D', 'P', 'C'] => Some("Delta Electronics Inc"),
        ['D', 'P', 'H'] => Some("Delphi Automotive LLP"),
        ['D', 'P', 'I'] => Some("DocuPoint"),
        ['D', 'P', 'L'] => Some("Digital Projection Limited"),
        ['D', 'P', 'M'] => Some("ADPM Synthesis sas"),
        ['D', 'P', 'N'] => Some("Shanghai Lexiang Technology Limited"),
        ['D', 'P', 'S'] => Some("Digital Processing Systems"),
        ['D', 'P', 'T'] => Some("DPT"),
        ['D', 'P', 'X'] => Some("DpiX, Inc."),
        ['D', 'Q', 'B'] => Some("Datacube Inc"),
        ['D', 'R', 'B'] => Some("Dr. Bott KG"),
        ['D', 'R', 'C'] => Some("Data Ray Corp."),
        ['D', 'R', 'D'] => Some("DIGITAL REFLECTION INC."),
        ['D', 'R', 'I'] => Some("Data Race Inc"),
        ['D', 'R', 'S'] => Some("DRS Defense Solutions, LLC"),
        ['D', 'S', 'A'] => Some("Display Solution AG"),
        ['D', 'S', 'D'] => Some("DS Multimedia Pte Ltd"),
        ['D', 'S', 'G'] => Some("Disguise Technologies"),
        ['D', 'S', 'I'] => Some("Digitan Systems Inc"),
        ['D', 'S', 'J'] => Some("VR Technology Holdings Limited"),
        ['D', 'S', 'M'] => Some("DSM Digital Services GmbH"),
        ['D', 'S', 'P'] => Some("Domain Technology Inc"),
        ['D', 'T', 'A'] => Some("DELTATEC"),
        ['D', 'T', 'C'] => Some("DTC Tech Corporation"),
        ['D', 'T', 'E'] => Some("Dimension Technologies, Inc."),
        ['D', 'T', 'I'] => Some("Diversified Technology, Inc."),
        ['D', 'T', 'K'] => Some("Dynax Electronics (HK) Ltd"),
        ['D', 'T', 'L'] => Some("e-Net Inc"),
        ['D', 'T', 'N'] => Some("Datang Telephone Co"),
        ['D', 'T', 'O'] => Some("Deutsche Thomson OHG"),
        ['D', 'T', 'T'] => Some("Design & Test Technology, Inc."),
        ['D', 'T', 'X'] => Some("Data Translation"),
        ['D', 'U', 'A'] => Some("Dosch & Amand GmbH & Company KG"),
        ['D', 'U', 'N'] => Some("NCR Corporation"),
        ['D', 'V', 'D'] => Some("Dictaphone Corporation"),
        ['D', 'V', 'L'] => Some("Devolo AG"),
        ['D', 'V', 'S'] => Some("Digital Video System"),
        ['D', 'V', 'T'] => Some("Data Video"),
        ['D', 'W', 'E'] => Some("Daewoo Electronics Company Ltd"),
        ['D', 'X', 'C'] => Some("Digipronix Control Systems"),
        ['D', 'X', 'D'] => Some("DECIMATOR DESIGN PTY LTD"),
        ['D', 'X', 'L'] => Some("Dextera Labs Inc"),
        ['D', 'X', 'P'] => Some("Data Expert Corporation"),
        ['D', 'X', 'S'] => Some("Signet"),
        ['D', 'Y', 'C'] => Some("Dycam Inc"),
        ['D', 'Y', 'M'] => Some("Dymo-CoStar Corporation"),
        ['D', 'Y', 'N'] => Some("Askey Computer Corporation"),
        ['D', 'Y', 'X'] => Some("Dynax Electronics (HK) Ltd"),
        ['E', 'A', 'G'] => Some("ELTEC Elektronik AG"),
        ['E', 'A', 'S'] => Some("Evans and Sutherland Computer"),
        ['E', 'B', 'H'] => Some("Data Price Informatica"),
        ['E', 'B', 'S'] => Some("EBS Euchner Büro- und Schulsysteme GmbH"),
        ['E', 'B', 'T'] => Some("HUALONG TECHNOLOGY CO., LTD"),
        ['E', 'C', 'A'] => Some("Electro Cam Corp."),
        ['E', 'C', 'C'] => Some("ESSential Comm. Corporation"),
        ['E', 'C', 'H'] => Some("EchoStar Corporation"),
        ['E', 'C', 'I'] => Some("Enciris Technologies"),
        ['E', 'C', 'K'] => Some("Eugene Chukhlomin Sole Proprietorship, d.b.a."),
        ['E', 'C', 'L'] => Some("Excel Company Ltd"),
        ['E', 'C', 'M'] => Some("E-Cmos Tech Corporation"),
        ['E', 'C', 'O'] => Some("Echo Speech Corporation"),
        ['E', 'C', 'P'] => Some("Elecom Company Ltd"),
        ['E', 'C', 'S'] => Some("Elitegroup Computer Systems Company Ltd"),
        ['E', 'C', 'T'] => Some("Enciris Technologies"),
        ['E', 'D', 'C'] => Some("e.Digital Corporation"),
        ['E', 'D', 'G'] => Some("Electronic-Design GmbH"),
        ['E', 'D', 'I'] => Some("Edimax Tech. Company Ltd"),
        ['E', 'D', 'M'] => Some("EDMI"),
        ['E', 'D', 'T'] => Some("Emerging Display Technologies Corp"),
        ['E', 'E', 'E'] => Some("ET&T Technology Company Ltd"),
        ['E', 'E', 'H'] => Some("EEH Datalink GmbH"),
        ['E', 'E', 'P'] => Some("E.E.P.D. GmbH"),
        ['E', 'E', 'S'] => Some("EE Solutions, Inc."),
        ['E', 'G', 'A'] => Some("Elgato Systems LLC"),
        ['E', 'G', 'D'] => Some("EIZO GmbH Display Technologies"),
        ['E', 'G', 'L'] => Some("Eagle Technology"),
        ['E', 'G', 'N'] => Some("Egenera, Inc."),
        ['E', 'G', 'O'] => Some("Ergo Electronics"),
        ['E', 'H', 'J'] => Some("Epson Research"),
        ['E', 'H', 'N'] => Some("Enhansoft"),
        ['E', 'I', 'C'] => Some("Eicon Technology Corporation"),
        ['E', 'I', 'N'] => Some("Elegant Invention"),
        ['E', 'K', 'A'] => Some("MagTek Inc."),
        ['E', 'K', 'C'] => Some("Eastman Kodak Company"),
        ['E', 'K', 'S'] => Some("EKSEN YAZILIM"),
        ['E', 'L', 'A'] => Some("ELAD srl"),
        ['E', 'L', 'C'] => Some("Electro Scientific Ind"),
        ['E', 'L', 'D'] => Some("Express Luck, Inc."),
        ['E', 'L', 'E'] => Some("Elecom Company Ltd"),
        ['E', 'L', 'G'] => Some("Elmeg GmbH Kommunikationstechnik"),
        ['E', 'L', 'I'] => Some("Edsun Laboratories"),
        ['E', 'L', 'L'] => Some("Electrosonic Ltd"),
        ['E', 'L', 'M'] => Some("Elmic Systems Inc"),
        ['E', 'L', 'O'] => Some("Elo TouchSystems Inc"),
        ['E', 'L', 'S'] => Some("ELSA GmbH"),
        ['E', 'L', 'T'] => Some("Element Labs, Inc."),
        ['E', 'L', 'U'] => Some("Express Industrial, Ltd."),
        ['E', 'L', 'X'] => Some("Elonex PLC"),
        ['E', 'M', 'B'] => Some("Embedded computing inc ltd"),
        ['E', 'M', 'C'] => Some("eMicro Corporation"),
        ['E', 'M', 'D'] => Some("Embrionix Design Inc."),
        ['E', 'M', 'E'] => Some("EMiNE TECHNOLOGY COMPANY, LTD."),
        ['E', 'M', 'G'] => Some("EMG Consultants Inc"),
        ['E', 'M', 'I'] => Some("Ex Machina Inc"),
        ['E', 'M', 'K'] => Some("Emcore Corporation"),
        ['E', 'M', 'O'] => Some("ELMO COMPANY, LIMITED"),
        ['E', 'M', 'R'] => Some("ICC Intelligent Platforms GmbH"),
        ['E', 'M', 'U'] => Some("Emulex Corporation"),
        ['E', 'N', 'C'] => Some("Eizo Nanao Corporation"),
        ['E', 'N', 'D'] => Some("ENIDAN Technologies Ltd"),
        ['E', 'N', 'E'] => Some("ENE Technology Inc."),
        ['E', 'N', 'I'] => Some("Efficient Networks"),
        ['E', 'N', 'S'] => Some("Ensoniq Corporation"),
        ['E', 'N', 'T'] => Some("Enterprise Comm. & Computing Inc"),
        ['E', 'O', 'N'] => Some("Eon Instrumentation, Inc."),
        ['E', 'P', 'C'] => Some("Empac"),
        ['E', 'P', 'H'] => Some("Epiphan Systems Inc."),
        ['E', 'P', 'I'] => Some("Envision Peripherals, Inc"),
        ['E', 'P', 'N'] => Some("EPiCON Inc."),
        ['E', 'P', 'S'] => Some("KEPS"),
        ['E', 'Q', 'P'] => Some("Equipe Electronics Ltd."),
        ['E', 'Q', 'X'] => Some("Equinox Systems Inc"),
        ['E', 'R', 'G'] => Some("Ergo System"),
        ['E', 'R', 'I'] => Some("Ericsson Mobile Communications AB"),
        ['E', 'R', 'N'] => Some("Ericsson, Inc."),
        ['E', 'R', 'P'] => Some("Euraplan GmbH"),
        ['E', 'R', 'S'] => Some("Eizo Rugged Solutions"),
        ['E', 'R', 'T'] => Some("Escort Insturments Corporation"),
        ['E', 'S', 'A'] => Some("Elbit Systems of America"),
        ['E', 'S', 'B'] => Some("ScioTeq"),
        ['E', 'S', 'C'] => Some("Eden Sistemas de Computacao S/A"),
        ['E', 'S', 'D'] => Some("Ensemble Designs, Inc"),
        ['E', 'S', 'G'] => Some("ELCON Systemtechnik GmbH"),
        ['E', 'S', 'I'] => Some("Extended Systems, Inc."),
        ['E', 'S', 'K'] => Some("ES&S"),
        ['E', 'S', 'L'] => Some("Esterline Technologies"),
        ['E', 'S', 'N'] => Some("eSATURNUS"),
        ['E', 'S', 'S'] => Some("ESS Technology Inc"),
        ['E', 'S', 'T'] => Some("Embedded Solution Technology"),
        ['E', 'S', 'Y'] => Some("E-Systems Inc"),
        ['E', 'T', 'C'] => Some("Everton Technology Company Ltd"),
        ['E', 'T', 'D'] => Some("ELAN MICROELECTRONICS CORPORATION"),
        ['E', 'T', 'H'] => Some("Etherboot Project"),
        ['E', 'T', 'I'] => Some("Eclipse Tech Inc"),
        ['E', 'T', 'K'] => Some("eTEK Labs Inc."),
        ['E', 'T', 'L'] => Some("Evertz Microsystems Ltd."),
        ['E', 'T', 'S'] => Some("Electronic Trade Solutions Ltd"),
        ['E', 'T', 'T'] => Some("E-Tech Inc"),
        ['E', 'U', 'T'] => Some("Ericsson Mobile Networks B.V."),
        ['E', 'V', 'E'] => Some("Advanced Micro Peripherals Ltd"),
        ['E', 'V', 'I'] => Some("eviateg GmbH"),
        ['E', 'V', 'X'] => Some("Everex"),
        ['E', 'X', 'A'] => Some("Exabyte"),
        ['E', 'X', 'C'] => Some("Excession Audio"),
        ['E', 'X', 'I'] => Some("Exide Electronics"),
        ['E', 'X', 'N'] => Some("RGB Systems, Inc. dba Extron Electronics"),
        ['E', 'X', 'P'] => Some("Data Export Corporation"),
        ['E', 'X', 'R'] => Some("Explorer Inc."),
        ['E', 'X', 'T'] => Some("Exatech Computadores & Servicos Ltda"),
        ['E', 'X', 'X'] => Some("Exxact GmbH"),
        ['E', 'X', 'Y'] => Some("Exterity Ltd"),
        ['E', 'Y', 'E'] => Some("eyevis GmbH"),
        ['E', 'Y', 'F'] => Some("eyefactive Gmbh"),
        ['E', 'Z', 'E'] => Some("EzE Technologies"),
        ['E', 'Z', 'P'] => Some("Storm Technology"),
        ['F', 'A', 'N'] => Some("Fantalooks Co., Ltd."),
        ['F', 'A', 'R'] => Some("Farallon Computing"),
        ['F', 'B', 'I'] => Some("Interface Corporation"),
        ['F', 'C', 'B'] => Some("Furukawa Electric Company Ltd"),
        ['F', 'C', 'G'] => Some("First International Computer Ltd"),
        ['F', 'C', 'S'] => Some("Focus Enhancements, Inc."),
        ['F', 'D', 'C'] => Some("Future Domain"),
        ['F', 'D', 'D'] => Some("Forth Dimension Displays Ltd"),
        ['F', 'D', 'I'] => Some("Future Designs, Inc."),
        ['F', 'D', 'T'] => Some("Fujitsu Display Technologies Corp."),
        ['F', 'D', 'X'] => Some("Findex, Inc."),
        ['F', 'E', 'C'] => Some("FURUNO ELECTRIC CO., LTD."),
        ['F', 'E', 'L'] => Some("Fellowes & Questec"),
        ['F', 'E', 'N'] => Some("Fen Systems Ltd."),
        ['F', 'E', 'R'] => Some("Ferranti Int'L"),
        ['F', 'F', 'C'] => Some("FUJIFILM Corporation"),
        ['F', 'F', 'I'] => Some("Fairfield Industries"),
        ['F', 'G', 'D'] => Some("Lisa Draexlmaier GmbH"),
        ['F', 'G', 'L'] => Some("Fujitsu General Limited."),
        ['F', 'H', 'L'] => Some("FHLP"),
        ['F', 'I', 'C'] => Some("Formosa Industrial Computing Inc"),
        ['F', 'I', 'L'] => Some("Forefront Int'l Ltd"),
        ['F', 'I', 'N'] => Some("Finecom Co., Ltd."),
        ['F', 'I', 'R'] => Some("Chaplet Systems Inc"),
        ['F', 'I', 'S'] => Some("FLY-IT Simulators"),
        ['F', 'I', 'T'] => Some("Feature Integration Technology Inc."),
        ['F', 'J', 'C'] => Some("Fujitsu Takamisawa Component Limited"),
        ['F', 'J', 'S'] => Some("Fujitsu Spain"),
        ['F', 'J', 'T'] => Some("F.J. Tieman BV"),
        ['F', 'L', 'E'] => Some("ADTI Media, Inc"),
        ['F', 'L', 'I'] => Some("Faroudja Laboratories"),
        ['F', 'L', 'Y'] => Some("Butterfly Communications"),
        ['F', 'M', 'A'] => Some("Fast Multimedia AG"),
        ['F', 'M', 'C'] => Some("Ford Microelectronics Inc"),
        ['F', 'M', 'I'] => Some("Fellowes, Inc."),
        ['F', 'M', 'L'] => Some("Fujitsu Microelect Ltd"),
        ['F', 'M', 'Z'] => Some("Formoza-Altair"),
        ['F', 'N', 'C'] => Some("Fanuc LTD"),
        ['F', 'N', 'I'] => Some("Funai Electric Co., Ltd."),
        ['F', 'O', 'A'] => Some("FOR-A Company Limited"),
        ['F', 'O', 'K'] => Some("Fokus Technologies GmbH"),
        ['F', 'O', 'S'] => Some("Foss Tecator"),
        ['F', 'O', 'V'] => Some("FOVE INC"),
        ['F', 'O', 'X'] => Some("HON HAI PRECISION IND.CO.,LTD."),
        ['F', 'P', 'C'] => Some("Fingerprint Cards AB"),
        ['F', 'P', 'E'] => Some("Fujitsu Peripherals Ltd"),
        ['F', 'P', 'S'] => Some("Deltec Corporation"),
        ['F', 'P', 'X'] => Some("Cirel Systemes"),
        ['F', 'R', 'C'] => Some("Force Computers"),
        ['F', 'R', 'D'] => Some("Freedom Scientific BLV"),
        ['F', 'R', 'E'] => Some("Forvus Research Inc"),
        ['F', 'R', 'I'] => Some("Fibernet Research Inc"),
        ['F', 'R', 'O'] => Some("FARO Technologies"),
        ['F', 'R', 'S'] => Some("South Mountain Technologies, LTD"),
        ['F', 'S', 'C'] => Some("Future Systems Consulting KK"),
        ['F', 'S', 'I'] => Some("Fore Systems Inc"),
        ['F', 'S', 'T'] => Some("Modesto PC Inc"),
        ['F', 'T', 'C'] => Some("Futuretouch Corporation"),
        ['F', 'T', 'E'] => Some("Frontline Test Equipment Inc."),
        ['F', 'T', 'G'] => Some("FTG Data Systems"),
        ['F', 'T', 'I'] => Some("FastPoint Technologies, Inc."),
        ['F', 'T', 'L'] => Some("FUJITSU TEN LIMITED"),
        ['F', 'T', 'N'] => Some("Fountain Technologies Inc"),
        ['F', 'T', 'R'] => Some("Mediasonic"),
        ['F', 'T', 'S'] => Some("FocalTech Systems Co., Ltd."),
        ['F', 'T', 'W'] => Some("MindTribe Product Engineering, Inc."),
        ['F', 'U', 'J'] => Some("Fujitsu Ltd"),
        ['F', 'U', 'L'] => Some("Fun Technology Innovation INC."),
        ['F', 'U', 'N'] => Some("sisel muhendislik"),
        ['F', 'U', 'S'] => Some("Fujitsu Siemens Computers GmbH"),
        ['F', 'V', 'C'] => Some("First Virtual Corporation"),
        ['F', 'V', 'X'] => Some("C-C-C Group Plc"),
        ['F', 'W', 'A'] => Some("Attero Tech, LLC"),
        ['F', 'W', 'R'] => Some("Flat Connections Inc"),
        ['F', 'X', 'X'] => Some("Fuji Xerox"),
        ['F', 'Z', 'C'] => Some("Founder Group Shenzhen Co."),
        ['F', 'Z', 'I'] => Some("FZI Forschungszentrum Informatik"),
        ['G', 'A', 'C'] => Some("GreenArrays, Inc."),
        ['G', 'A', 'G'] => Some("Gage Applied Sciences Inc"),
        ['G', 'A', 'L'] => Some("Galil Motion Control"),
        ['G', 'A', 'U'] => Some("Gaudi Co., Ltd."),
        ['G', 'B', 'T'] => Some("GIGA-BYTE TECHNOLOGY CO., LTD."),
        ['G', 'C', 'C'] => Some("GCC Technologies Inc"),
        ['G', 'C', 'I'] => Some("Gateway Comm. Inc"),
        ['G', 'C', 'S'] => Some("Grey Cell Systems Ltd"),
        ['G', 'D', 'C'] => Some("General Datacom"),
        ['G', 'D', 'I'] => Some("G. Diehl ISDN GmbH"),
        ['G', 'D', 'S'] => Some("GDS"),
        ['G', 'D', 'T'] => Some("Vortex Computersysteme GmbH"),
        ['G', 'E', 'C'] => Some("Gechic Corporation"),
        ['G', 'E', 'D'] => Some("General Dynamics C4 Systems"),
        ['G', 'E', 'F'] => Some("GE Fanuc Embedded Systems"),
        ['G', 'E', 'H'] => Some("Abaco Systems, Inc."),
        ['G', 'E', 'M'] => Some("Gem Plus"),
        ['G', 'E', 'N'] => Some("Genesys ATE Inc"),
        ['G', 'E', 'O'] => Some("GEO Sense"),
        ['G', 'E', 'R'] => Some("GERMANEERS GmbH"),
        ['G', 'E', 'S'] => Some("GES Singapore Pte Ltd"),
        ['G', 'E', 'T'] => Some("Getac Technology Corporation"),
        ['G', 'F', 'M'] => Some("GFMesstechnik GmbH"),
        ['G', 'F', 'N'] => Some("Gefen Inc."),
        ['G', 'G', 'L'] => Some("Google Inc."),
        ['G', 'G', 'T'] => Some("G2TOUCH KOREA"),
        ['G', 'I', 'C'] => Some("General Inst. Corporation"),
        ['G', 'I', 'M'] => Some("Guillemont International"),
        ['G', 'I', 'P'] => Some("GI Provision Ltd"),
        ['G', 'I', 'S'] => Some("AT&T Global Info Solutions"),
        ['G', 'J', 'N'] => Some("Grand Junction Networks"),
        ['G', 'L', 'D'] => Some("Goldmund - Digital Audio SA"),
        ['G', 'L', 'E'] => Some("AD electronics"),
        ['G', 'L', 'M'] => Some("Genesys Logic"),
        ['G', 'L', 'S'] => Some("Gadget Labs LLC"),
        ['G', 'M', 'K'] => Some("GMK Electronic Design GmbH"),
        ['G', 'M', 'L'] => Some("General Information Systems"),
        ['G', 'M', 'M'] => Some("GMM Research Inc"),
        ['G', 'M', 'N'] => Some("GEMINI 2000 Ltd"),
        ['G', 'M', 'X'] => Some("GMX Inc"),
        ['G', 'N', 'D'] => Some("Gennum Corporation"),
        ['G', 'N', 'N'] => Some("GN Nettest Inc"),
        ['G', 'N', 'Z'] => Some("Gunze Ltd"),
        ['G', 'O', 'E'] => Some("GOEPEL electronic GmbH"),
        ['G', 'P', 'R'] => Some("GoPro, Inc."),
        ['G', 'R', 'A'] => Some("Graphica Computer"),
        ['G', 'R', 'E'] => Some("GOLD RAIN ENTERPRISES CORP."),
        ['G', 'R', 'H'] => Some("Granch Ltd"),
        ['G', 'R', 'M'] => Some("Garmin International"),
        ['G', 'R', 'V'] => Some("Advanced Gravis"),
        ['G', 'R', 'Y'] => Some("Robert Gray Company"),
        ['G', 'S', 'B'] => Some("NIPPONDENCHI CO,.LTD"),
        ['G', 'S', 'C'] => Some("General Standards Corporation"),
        ['G', 'S', 'M'] => Some("LG Electronics"),
        ['G', 'S', 'N'] => Some("Grandstream Networks, Inc."),
        ['G', 'S', 'T'] => Some("Graphic SystemTechnology"),
        ['G', 'S', 'Y'] => Some("Grossenbacher Systeme AG"),
        ['G', 'T', 'C'] => Some("Graphtec Corporation"),
        ['G', 'T', 'I'] => Some("Goldtouch"),
        ['G', 'T', 'K'] => Some("G-Tech Corporation"),
        ['G', 'T', 'M'] => Some("Garnet System Company Ltd"),
        ['G', 'T', 'S'] => Some("Geotest Marvin Test Systems Inc"),
        ['G', 'T', 'T'] => Some("General Touch Technology Co., Ltd."),
        ['G', 'U', 'D'] => Some("Guntermann & Drunck GmbH"),
        ['G', 'U', 'Z'] => Some("Guzik Technical Enterprises"),
        ['G', 'V', 'C'] => Some("GVC Corporation"),
        ['G', 'V', 'L'] => Some("Global Village Communication"),
        ['G', 'V', 'S'] => Some("G.VISION"),
        ['G', 'W', 'I'] => Some("GW Instruments"),
        ['G', 'W', 'K'] => Some("Gateworks Corporation"),
        ['G', 'W', 'Y'] => Some("Gateway 2000"),
        ['G', 'X', 'L'] => Some("Galaxy Microsystems Ltd."),
        ['G', 'Z', 'E'] => Some("GUNZE Limited"),
        ['H', 'A', 'E'] => Some("Haider electronics"),
        ['H', 'A', 'I'] => Some("Haivision Systems Inc."),
        ['H', 'A', 'L'] => Some("Halberthal"),
        ['H', 'A', 'N'] => Some("Hanchang System Corporation"),
        ['H', 'A', 'R'] => Some("Harris Corporation"),
        ['H', 'A', 'Y'] => Some("Hayes Microcomputer Products Inc"),
        ['H', 'C', 'A'] => Some("DAT"),
        ['H', 'C', 'E'] => Some("Hitachi Consumer Electronics Co., Ltd"),
        ['H', 'C', 'L'] => Some("HCL America Inc"),
        ['H', 'C', 'M'] => Some("HCL Peripherals"),
        ['H', 'C', 'P'] => Some("Hitachi Computer Products Inc"),
        ['H', 'C', 'W'] => Some("Hauppauge Computer Works Inc"),
        ['H', 'D', 'C'] => Some("HardCom Elektronik & Datateknik"),
        ['H', 'D', 'I'] => Some("HD-INFO d.o.o."),
        ['H', 'D', 'V'] => Some("Holografika kft."),
        ['H', 'E', 'C'] => Some("Hisense Electric Co., Ltd."),
        ['H', 'E', 'L'] => Some("Hitachi Micro Systems Europe Ltd"),
        ['H', 'E', 'R'] => Some("Ascom Business Systems"),
        ['H', 'E', 'T'] => Some("HETEC Datensysteme GmbH"),
        ['H', 'H', 'C'] => Some("HIRAKAWA HEWTECH CORP."),
        ['H', 'H', 'I'] => Some("Fraunhofer Heinrich-Hertz-Institute"),
        ['H', 'H', 'T'] => Some("Hitevision Group"),
        ['H', 'I', 'B'] => Some("Hibino Corporation"),
        ['H', 'I', 'C'] => Some("Hitachi Information Technology Co., Ltd."),
        ['H', 'I', 'I'] => Some("Harman International Industries, Inc"),
        ['H', 'I', 'K'] => Some("Hikom Co., Ltd."),
        ['H', 'I', 'L'] => Some("Hilevel Technology"),
        ['H', 'I', 'Q'] => Some("Kaohsiung Opto Electronics Americas, Inc."),
        ['H', 'I', 'S'] => Some("Hope Industrial Systems, Inc."),
        ['H', 'I', 'T'] => Some("Hitachi America Ltd"),
        ['H', 'J', 'I'] => Some("Harris & Jeffries Inc"),
        ['H', 'K', 'A'] => Some("HONKO MFG. CO., LTD."),
        ['H', 'K', 'C'] => Some("HKC OVERSEAS LIMITED"),
        ['H', 'K', 'G'] => Some("Josef Heim KG"),
        ['H', 'L', 'G'] => Some("China Hualu Group Co., Ltd."),
        ['H', 'M', 'C'] => Some("Hualon Microelectric Corporation"),
        ['H', 'M', 'K'] => Some("hmk Daten-System-Technik BmbH"),
        ['H', 'M', 'X'] => Some("HUMAX Co., Ltd."),
        ['H', 'N', 'S'] => Some("Hughes Network Systems"),
        ['H', 'O', 'B'] => Some("HOB Electronic GmbH"),
        ['H', 'O', 'E'] => Some("Hosiden Corporation"),
        ['H', 'O', 'L'] => Some("Holoeye Photonics AG"),
        ['H', 'O', 'N'] => Some("Sonitronix"),
        ['H', 'P', 'A'] => Some("Zytor Communications"),
        ['H', 'P', 'C'] => Some("Hewlett-Packard Co."),
        ['H', 'P', 'D'] => Some("Hewlett Packard"),
        ['H', 'P', 'E'] => Some("Hewlett Packard Enterprise"),
        ['H', 'P', 'I'] => Some("Headplay, Inc."),
        ['H', 'P', 'K'] => Some("HAMAMATSU PHOTONICS K.K."),
        ['H', 'P', 'N'] => Some("HP Inc."),
        ['H', 'P', 'Q'] => Some("Hewlett-Packard Co."),
        ['H', 'P', 'R'] => Some("H.P.R. Electronics GmbH"),
        ['H', 'R', 'C'] => Some("Hercules"),
        ['H', 'R', 'E'] => Some("Qingdao Haier Electronics Co., Ltd."),
        ['H', 'R', 'I'] => Some("Hall Research"),
        ['H', 'R', 'L'] => Some("Herolab GmbH"),
        ['H', 'R', 'S'] => Some("Harris Semiconductor"),
        ['H', 'R', 'T'] => Some("HERCULES"),
        ['H', 'S', 'C'] => Some("Hagiwara Sys-Com Company Ltd"),
        ['H', 'S', 'D'] => Some("HannStar Display Corp"),
        ['H', 'S', 'M'] => Some("AT&T Microelectronics"),
        ['H', 'S', 'N'] => Some("Hansung Co., Ltd"),
        ['H', 'S', 'P'] => Some("HannStar Display Corp"),
        ['H', 'S', 'T'] => Some("Horsent Technology Co., Ltd."),
        ['H', 'T', 'C'] => Some("Hitachi Ltd"),
        ['H', 'T', 'I'] => Some("Hampshire Company, Inc."),
        ['H', 'T', 'K'] => Some("Holtek Microelectronics Inc"),
        ['H', 'T', 'L'] => Some("HTBLuVA Mödling"),
        ['H', 'T', 'R'] => Some("Shenzhen ZhuoYi HengTong Computer Technology Limited"),
        ['H', 'T', 'X'] => Some("Hitex Systementwicklung GmbH"),
        ['H', 'U', 'B'] => Some("GAI-Tronics, A Hubbell Company"),
        ['H', 'U', 'K'] => Some("Hoffmann + Krippner GmbH"),
        ['H', 'U', 'M'] => Some("IMP Electronics Ltd."),
        ['H', 'V', 'R'] => Some("HTC Corportation"),
        ['H', 'W', 'A'] => Some("Harris Canada Inc"),
        ['H', 'W', 'C'] => Some("DBA Hans Wedemeyer"),
        ['H', 'W', 'D'] => Some("Highwater Designs Ltd"),
        ['H', 'W', 'P'] => Some("Hewlett Packard"),
        ['H', 'W', 'V'] => Some("Huawei Technologies Co., Inc."),
        ['H', 'X', 'M'] => Some("Hexium Ltd."),
        ['H', 'Y', 'C'] => Some("Hypercope Gmbh Aachen"),
        ['H', 'Y', 'D'] => Some("Hydis Technologies.Co.,LTD"),
        ['H', 'Y', 'L'] => Some("Shanghai Chai Ming Huang Info&Tech Co, Ltd"),
        ['H', 'Y', 'O'] => Some("HYC CO., LTD."),
        ['H', 'Y', 'P'] => Some("Hyphen Ltd"),
        ['H', 'Y', 'R'] => Some("Hypertec Pty Ltd"),
        ['H', 'Y', 'T'] => Some("Heng Yu Technology (HK) Limited"),
        ['H', 'Y', 'V'] => Some("Hynix Semiconductor"),
        ['I', 'A', 'D'] => Some("IAdea Corporation"),
        ['I', 'A', 'F'] => Some("Institut f r angewandte Funksystemtechnik GmbH"),
        ['I', 'A', 'I'] => Some("Integration Associates, Inc."),
        ['I', 'A', 'T'] => Some("IAT Germany GmbH"),
        ['I', 'B', 'C'] => Some("Integrated Business Systems"),
        ['I', 'B', 'I'] => Some("INBINE.CO.LTD"),
        ['I', 'B', 'M'] => Some("IBM Brasil"),
        ['I', 'B', 'P'] => Some("IBP Instruments GmbH"),
        ['I', 'B', 'R'] => Some("IBR GmbH"),
        ['I', 'C', 'A'] => Some("ICA Inc"),
        ['I', 'C', 'C'] => Some("BICC Data Networks Ltd"),
        ['I', 'C', 'D'] => Some("ICD Inc"),
        ['I', 'C', 'E'] => Some("IC Ensemble"),
        ['I', 'C', 'I'] => Some("Infotek Communication Inc"),
        ['I', 'C', 'M'] => Some("Intracom SA"),
        ['I', 'C', 'N'] => Some("Sanyo Icon"),
        ['I', 'C', 'O'] => Some("Intel Corp"),
        ['I', 'C', 'P'] => Some("ICP Electronics, Inc./iEi Technology Corp."),
        ['I', 'C', 'R'] => Some("Icron"),
        ['I', 'C', 'S'] => Some("Integrated Circuit Systems"),
        ['I', 'C', 'V'] => Some("Inside Contactless"),
        ['I', 'C', 'X'] => Some("ICCC A/S"),
        ['I', 'D', 'C'] => Some("International Datacasting Corporation"),
        ['I', 'D', 'E'] => Some("IDE Associates"),
        ['I', 'D', 'K'] => Some("IDK Corporation"),
        ['I', 'D', 'N'] => Some("Idneo Technologies"),
        ['I', 'D', 'O'] => Some("IDEO Product Development"),
        ['I', 'D', 'P'] => Some("Integrated Device Technology, Inc."),
        ['I', 'D', 'S'] => Some("Interdigital Sistemas de Informacao"),
        ['I', 'D', 'T'] => Some("International Display Technology"),
        ['I', 'D', 'X'] => Some("IDEXX Labs"),
        ['I', 'E', 'C'] => Some("Interlace Engineering Corporation"),
        ['I', 'E', 'E'] => Some("IEE"),
        ['I', 'E', 'I'] => Some("Interlink Electronics"),
        ['I', 'F', 'S'] => Some("In Focus Systems Inc"),
        ['I', 'F', 'T'] => Some("Informtech"),
        ['I', 'F', 'X'] => Some("Infineon Technologies AG"),
        ['I', 'F', 'Z'] => Some("Infinite Z"),
        ['I', 'G', 'C'] => Some("Intergate Pty Ltd"),
        ['I', 'G', 'M'] => Some("IGM Communi"),
        ['I', 'H', 'E'] => Some("InHand Electronics"),
        ['I', 'I', 'C'] => Some("ISIC Innoscan Industrial Computers A/S"),
        ['I', 'I', 'I'] => Some("Intelligent Instrumentation"),
        ['I', 'I', 'N'] => Some("IINFRA Co., Ltd"),
        ['I', 'I', 'T'] => Some("Informatik Information Technologies"),
        ['I', 'K', 'E'] => Some("Ikegami Tsushinki Co. Ltd."),
        ['I', 'K', 'S'] => Some("Ikos Systems Inc"),
        ['I', 'L', 'C'] => Some("Image Logic Corporation"),
        ['I', 'L', 'S'] => Some("Innotech Corporation"),
        ['I', 'M', 'A'] => Some("Imagraph"),
        ['I', 'M', 'B'] => Some("ART s.r.l."),
        ['I', 'M', 'C'] => Some("IMC Networks"),
        ['I', 'M', 'D'] => Some("ImasDe Canarias S.A."),
        ['I', 'M', 'E'] => Some("Imagraph"),
        ['I', 'M', 'F'] => Some("Immersive Audio Technologies France"),
        ['I', 'M', 'G'] => Some("IMAGENICS Co., Ltd."),
        ['I', 'M', 'I'] => Some("International Microsystems Inc"),
        ['I', 'M', 'M'] => Some("Immersion Corporation"),
        ['I', 'M', 'N'] => Some("Impossible Production"),
        ['I', 'M', 'P'] => Some("Impinj"),
        ['I', 'M', 'T'] => Some("Inmax Technology Corporation"),
        ['I', 'M', 'X'] => Some("arpara Technology Co., Ltd."),
        ['I', 'N', 'A'] => Some("Inventec Corporation"),
        ['I', 'N', 'C'] => Some("Home Row Inc"),
        ['I', 'N', 'D'] => Some("ILC"),
        ['I', 'N', 'E'] => Some("Inventec Electronics (M) Sdn. Bhd."),
        ['I', 'N', 'F'] => Some("Inframetrics Inc"),
        ['I', 'N', 'G'] => Some("Integraph Corporation"),
        ['I', 'N', 'I'] => Some("Initio Corporation"),
        ['I', 'N', 'K'] => Some("Indtek Co., Ltd."),
        ['I', 'N', 'L'] => Some("InnoLux Display Corporation"),
        ['I', 'N', 'M'] => Some("InnoMedia Inc"),
        ['I', 'N', 'N'] => Some("Innovent Systems, Inc."),
        ['I', 'N', 'O'] => Some("Innolab Pte Ltd"),
        ['I', 'N', 'P'] => Some("Interphase Corporation"),
        ['I', 'N', 'S'] => Some("Ines GmbH"),
        ['I', 'N', 'T'] => Some("Interphase Corporation"),
        ['i', 'n', 'u'] => Some("Inovatec S.p.A."),
        ['I', 'N', 'V'] => Some("Inviso, Inc."),
        ['I', 'N', 'X'] => Some("Communications Supply Corporation (A division of WESCO)"),
        ['I', 'N', 'Z'] => Some("Best Buy"),
        ['I', 'O', 'A'] => Some("CRE Technology Corporation"),
        ['I', 'O', 'C'] => Some("Guangxi Century Innovation Display Electronics Co., Ltd"),
        ['I', 'O', 'D'] => Some("I-O Data Device Inc"),
        ['I', 'O', 'M'] => Some("Iomega"),
        ['I', 'O', 'N'] => Some("Inside Out Networks"),
        ['I', 'O', 'S'] => Some("i-O Display System"),
        ['I', 'O', 'T'] => Some("I/OTech Inc"),
        ['I', 'P', 'C'] => Some("IPC Corporation"),
        ['I', 'P', 'D'] => Some("Industrial Products Design, Inc."),
        ['I', 'P', 'I'] => Some("Intelligent Platform Management Interface (IPMI) forum (Intel, HP, NEC, Dell)"),
        ['I', 'P', 'M'] => Some("IPM Industria Politecnica Meridionale SpA"),
        ['I', 'P', 'N'] => Some("Performance Technologies"),
        ['I', 'P', 'P'] => Some("IP Power Technologies GmbH"),
        ['I', 'P', 'Q'] => Some("IP3 Technology Ltd."),
        ['I', 'P', 'R'] => Some("Ithaca Peripherals"),
        ['I', 'P', 'S'] => Some("IPS, Inc. (Intellectual Property Solutions, Inc.)"),
        ['I', 'P', 'T'] => Some("International Power Technologies"),
        ['I', 'P', 'W'] => Some("IPWireless, Inc"),
        ['I', 'Q', 'I'] => Some("IneoQuest Technologies, Inc"),
        ['I', 'Q', 'T'] => Some("IMAGEQUEST Co., Ltd"),
        ['I', 'R', 'D'] => Some("Irdata"),
        ['I', 'S', 'A'] => Some("Symbol Technologies"),
        ['I', 'S', 'C'] => Some("Id3 Semiconductors"),
        ['I', 'S', 'G'] => Some("Insignia Solutions Inc"),
        ['I', 'S', 'I'] => Some("Interface Solutions"),
        ['I', 'S', 'L'] => Some("Isolation Systems"),
        ['I', 'S', 'M'] => Some("Image Stream Medical"),
        ['I', 'S', 'P'] => Some("IntreSource Systems Pte Ltd"),
        ['I', 'S', 'R'] => Some("INSIS Co., LTD."),
        ['I', 'S', 'S'] => Some("ISS Inc"),
        ['I', 'S', 'T'] => Some("Intersolve Technologies"),
        ['I', 'S', 'Y'] => Some("International Integrated Systems,Inc.(IISI)"),
        ['I', 'T', 'A'] => Some("Itausa Export North America"),
        ['I', 'T', 'C'] => Some("Intercom Inc"),
        ['I', 'T', 'D'] => Some("Internet Technology Corporation"),
        ['I', 'T', 'E'] => Some("Integrated Tech Express Inc"),
        ['I', 'T', 'I'] => Some("VanErum Group"),
        ['I', 'T', 'K'] => Some("ITK Telekommunikation AG"),
        ['I', 'T', 'L'] => Some("Inter-Tel"),
        ['I', 'T', 'M'] => Some("ITM inc."),
        ['I', 'T', 'N'] => Some("The NTI Group"),
        ['I', 'T', 'P'] => Some("IT-PRO Consulting und Systemhaus GmbH"),
        ['I', 'T', 'R'] => Some("Infotronic America, Inc."),
        ['I', 'T', 'S'] => Some("IDTECH"),
        ['I', 'T', 'T'] => Some("I&T Telecom."),
        ['I', 'T', 'X'] => Some("integrated Technology Express Inc"),
        ['I', 'U', 'C'] => Some("ICSL"),
        ['I', 'V', 'I'] => Some("Intervoice Inc"),
        ['I', 'V', 'M'] => Some("Iiyama North America"),
        ['I', 'V', 'R'] => Some("Inlife-Handnet Co., Ltd."),
        ['I', 'V', 'S'] => Some("Intevac Photonics Inc."),
        ['I', 'W', 'R'] => Some("Icuiti Corporation"),
        ['I', 'W', 'X'] => Some("Intelliworxx, Inc."),
        ['I', 'X', 'D'] => Some("Intertex Data AB"),
        ['I', 'X', 'N'] => Some("Shenzhen Inet Mobile Internet Technology Co., LTD"),
        ['J', 'A', 'C'] => Some("Astec Inc"),
        ['J', 'A', 'E'] => Some("Japan Aviation Electronics Industry, Limited"),
        ['J', 'A', 'S'] => Some("Janz Automationssysteme AG"),
        ['J', 'A', 'T'] => Some("Jaton Corporation"),
        ['J', 'A', 'Z'] => Some("Carrera Computer Inc"),
        ['J', 'C', 'E'] => Some("Jace Tech Inc"),
        ['J', 'D', 'I'] => Some("Japan Display Inc."),
        ['J', 'D', 'L'] => Some("Japan Digital Laboratory Co.,Ltd."),
        ['J', 'E', 'M'] => Some("Japan E.M.Solutions Co., Ltd."),
        ['J', 'E', 'N'] => Some("N-Vision"),
        ['J', 'E', 'T'] => Some("JET POWER TECHNOLOGY CO., LTD."),
        ['J', 'F', 'X'] => Some("Jones Futurex Inc"),
        ['J', 'G', 'D'] => Some("University College"),
        ['J', 'I', 'C'] => Some("Jaeik Information & Communication Co., Ltd."),
        ['J', 'K', 'C'] => Some("JVC KENWOOD Corporation"),
        ['J', 'M', 'T'] => Some("Micro Technical Company Ltd"),
        ['J', 'P', 'C'] => Some("JPC Technology Limited"),
        ['J', 'P', 'W'] => Some("Wallis Hamilton Industries"),
        ['J', 'Q', 'E'] => Some("CNet Technical Inc"),
        ['J', 'S', 'D'] => Some("JS DigiTech, Inc"),
        ['J', 'S', 'I'] => Some("Jupiter Systems, Inc."),
        ['J', 'S', 'K'] => Some("SANKEN ELECTRIC CO., LTD"),
        ['J', 'T', 'S'] => Some("JS Motorsports"),
        ['J', 'T', 'Y'] => Some("jetway security micro,inc"),
        ['J', 'U', 'K'] => Some("Janich & Klass Computertechnik GmbH"),
        ['J', 'U', 'P'] => Some("Jupiter Systems"),
        ['J', 'V', 'C'] => Some("JVC"),
        ['J', 'W', 'D'] => Some("Video International Inc."),
        ['J', 'W', 'L'] => Some("Jewell Instruments, LLC"),
        ['J', 'W', 'S'] => Some("JWSpencer & Co."),
        ['J', 'W', 'Y'] => Some("Jetway Information Co., Ltd"),
        ['K', 'A', 'R'] => Some("Karna"),
        ['K', 'B', 'I'] => Some("Kidboard Inc"),
        ['K', 'B', 'L'] => Some("Kobil Systems GmbH"),
        ['K', 'C', 'D'] => Some("Chunichi Denshi Co.,LTD."),
        ['K', 'C', 'L'] => Some("Keycorp Ltd"),
        ['K', 'D', 'E'] => Some("KDE"),
        ['K', 'D', 'K'] => Some("Kodiak Tech"),
        ['K', 'D', 'M'] => Some("Korea Data Systems Co., Ltd."),
        ['K', 'D', 'S'] => Some("KDS USA"),
        ['K', 'D', 'T'] => Some("KDDI Technology Corporation"),
        ['K', 'E', 'C'] => Some("Kyushu Electronics Systems Inc"),
        ['K', 'E', 'M'] => Some("Kontron Embedded Modules GmbH"),
        ['K', 'E', 'S'] => Some("Kesa Corporation"),
        ['K', 'E', 'U'] => Some("Kontron Europe GmbH"),
        ['K', 'E', 'Y'] => Some("Key Tech Inc"),
        ['K', 'F', 'C'] => Some("SCD Tech"),
        ['K', 'F', 'E'] => Some("Komatsu Forest"),
        ['K', 'F', 'X'] => Some("Kofax Image Products"),
        ['K', 'G', 'I'] => Some("Klipsch Group, Inc"),
        ['K', 'G', 'L'] => Some("KEISOKU GIKEN Co.,Ltd."),
        ['K', 'I', 'O'] => Some("Kionix, Inc."),
        ['K', 'I', 'S'] => Some("KiSS Technology A/S"),
        ['K', 'M', 'C'] => Some("Mitsumi Company Ltd"),
        ['K', 'M', 'E'] => Some("KIMIN Electronics Co., Ltd."),
        ['K', 'M', 'L'] => Some("Kensington Microware Ltd"),
        ['K', 'M', 'R'] => Some("Kramer Electronics Ltd. International"),
        ['K', 'N', 'C'] => Some("Konica corporation"),
        ['K', 'N', 'X'] => Some("Nutech Marketing PTL"),
        ['K', 'O', 'B'] => Some("Kobil Systems GmbH"),
        ['K', 'O', 'D'] => Some("Eastman Kodak Company"),
        ['K', 'O', 'E'] => Some("KOLTER ELECTRONIC"),
        ['K', 'O', 'L'] => Some("Kollmorgen Motion Technologies Group"),
        ['K', 'O', 'M'] => Some("Kontron GmbH"),
        ['K', 'O', 'P'] => Some("Kopin Corporation"),
        ['K', 'O', 'U'] => Some("KOUZIRO Co.,Ltd."),
        ['K', 'O', 'W'] => Some("KOWA Company,LTD."),
        ['K', 'P', 'C'] => Some("King Phoenix Company"),
        ['K', 'P', 'T'] => Some("TPK Holding Co., Ltd"),
        ['K', 'R', 'L'] => Some("Krell Industries Inc."),
        ['K', 'R', 'M'] => Some("Kroma Telecom"),
        ['K', 'R', 'Y'] => Some("Kroy LLC"),
        ['K', 'S', 'C'] => Some("Kinetic Systems Corporation"),
        ['K', 'S', 'G'] => Some("KUPA China Shenzhen Micro Technology Co., Ltd. Gold Institute"),
        ['K', 'S', 'L'] => Some("Karn Solutions Ltd."),
        ['K', 'S', 'X'] => Some("King Tester Corporation"),
        ['K', 'T', 'C'] => Some("Kingston Tech Corporation"),
        ['K', 'T', 'D'] => Some("Takahata Electronics Co.,Ltd."),
        ['K', 'T', 'E'] => Some("K-Tech"),
        ['K', 'T', 'G'] => Some("Kayser-Threde GmbH"),
        ['K', 'T', 'I'] => Some("Konica Technical Inc"),
        ['K', 'T', 'K'] => Some("Key Tronic Corporation"),
        ['K', 'T', 'N'] => Some("Katron Tech Inc"),
        ['K', 'T', 'S'] => Some("Kyokko Communication System Co., Ltd."),
        ['K', 'U', 'R'] => Some("Kurta Corporation"),
        ['K', 'V', 'A'] => Some("Kvaser AB"),
        ['K', 'V', 'X'] => Some("KeyView"),
        ['K', 'W', 'D'] => Some("Kenwood Corporation"),
        ['K', 'Y', 'C'] => Some("Kyocera Corporation"),
        ['K', 'Y', 'E'] => Some("KYE Syst Corporation"),
        ['K', 'Y', 'K'] => Some("Samsung Electronics America Inc"),
        ['K', 'Y', 'N'] => Some("KEYENCE CORPORATION"),
        ['K', 'Z', 'I'] => Some("K-Zone International co. Ltd."),
        ['K', 'Z', 'N'] => Some("K-Zone International"),
        ['L', 'A', 'B'] => Some("ACT Labs Ltd"),
        ['L', 'A', 'C'] => Some("LaCie"),
        ['L', 'A', 'F'] => Some("Microline"),
        ['L', 'A', 'G'] => Some("Laguna Systems"),
        ['L', 'A', 'N'] => Some("Sodeman Lancom Inc"),
        ['L', 'A', 'S'] => Some("LASAT Comm. A/S"),
        ['L', 'A', 'V'] => Some("Lava Computer MFG Inc"),
        ['L', 'B', 'O'] => Some("Lubosoft"),
        ['L', 'C', 'C'] => Some("LCI"),
        ['L', 'C', 'D'] => Some("Toshiba Matsushita Display Technology Co., Ltd"),
        ['L', 'C', 'E'] => Some("La Commande Electronique"),
        ['L', 'C', 'I'] => Some("Lite-On Communication Inc"),
        ['L', 'C', 'M'] => Some("Latitude Comm."),
        ['L', 'C', 'N'] => Some("LEXICON"),
        ['L', 'C', 'P'] => Some("Silent Power Electronics GmbH"),
        ['L', 'C', 'S'] => Some("Longshine Electronics Company"),
        ['L', 'C', 'T'] => Some("Labcal Technologies"),
        ['L', 'D', 'N'] => Some("Laserdyne Technologies"),
        ['L', 'D', 'T'] => Some("LogiDataTech Electronic GmbH"),
        ['L', 'E', 'C'] => Some("Lectron Company Ltd"),
        ['L', 'E', 'D'] => Some("Long Engineering Design Inc"),
        ['L', 'E', 'G'] => Some("Legerity, Inc"),
        ['L', 'E', 'N'] => Some("Lenovo Group Limited"),
        ['L', 'E', 'O'] => Some("First International Computer Inc"),
        ['L', 'E', 'X'] => Some("Lexical Ltd"),
        ['L', 'G', 'C'] => Some("Logic Ltd"),
        ['L', 'G', 'I'] => Some("Logitech Inc"),
        ['L', 'G', 'S'] => Some("LG Semicom Company Ltd"),
        ['L', 'G', 'X'] => Some("Lasergraphics, Inc."),
        ['L', 'H', 'A'] => Some("Lars Haagh ApS"),
        ['L', 'H', 'C'] => Some("Beihai Century Joint Innovation Technology Co.,Ltd"),
        ['L', 'H', 'E'] => Some("Lung Hwa Electronics Company Ltd"),
        ['L', 'H', 'T'] => Some("Lighthouse Technologies Limited"),
        ['L', 'I', 'N'] => Some("Lenovo Beijing Co. Ltd."),
        ['L', 'I', 'P'] => Some("Linked IP GmbH"),
        ['L', 'I', 'S'] => Some("Life is Style Inc."),
        ['L', 'I', 'T'] => Some("Lithics Silicon Technology"),
        ['L', 'J', 'X'] => Some("Datalogic Corporation"),
        ['L', 'K', 'M'] => Some("Likom Technology Sdn. Bhd."),
        ['L', 'L', 'L'] => Some("L-3 Communications"),
        ['L', 'M', 'G'] => Some("Lucent Technologies"),
        ['L', 'M', 'I'] => Some("Lexmark Int'l Inc"),
        ['L', 'M', 'P'] => Some("Leda Media Products"),
        ['L', 'M', 'T'] => Some("Laser Master"),
        ['L', 'N', 'D'] => Some("Land Computer Company Ltd"),
        ['L', 'N', 'K'] => Some("Link Tech Inc"),
        ['L', 'N', 'R'] => Some("Linear Systems Ltd."),
        ['L', 'N', 'T'] => Some("LANETCO International"),
        ['L', 'N', 'V'] => Some("Lenovo"),
        ['L', 'N', 'X'] => Some("The Linux Foundation"),
        ['L', 'O', 'C'] => Some("Locamation B.V."),
        ['L', 'O', 'E'] => Some("Loewe Opta GmbH"),
        ['L', 'O', 'G'] => Some("Logicode Technology Inc"),
        ['L', 'O', 'L'] => Some("Litelogic Operations Ltd"),
        ['L', 'P', 'E'] => Some("El-PUSK Co., Ltd."),
        ['L', 'P', 'I'] => Some("Design Technology"),
        ['L', 'P', 'L'] => Some("LG Philips"),
        ['L', 'S', 'C'] => Some("LifeSize Communications"),
        ['L', 'S', 'D'] => Some("Intersil Corporation"),
        ['L', 'S', 'I'] => Some("Loughborough Sound Images"),
        ['L', 'S', 'J'] => Some("LSI Japan Company Ltd"),
        ['L', 'S', 'L'] => Some("Logical Solutions"),
        ['L', 'S', 'P'] => Some("Lightspace Technologies"),
        ['L', 'S', 'Y'] => Some("LSI Systems Inc"),
        ['L', 'T', 'C'] => Some("Labtec Inc"),
        ['L', 'T', 'I'] => Some("Jongshine Tech Inc"),
        ['L', 'T', 'K'] => Some("Lucidity Technology Company Ltd"),
        ['L', 'T', 'N'] => Some("Litronic Inc"),
        ['L', 'T', 'S'] => Some("LTS Scale LLC"),
        ['L', 'T', 'V'] => Some("Leitch Technology International Inc."),
        ['L', 'T', 'W'] => Some("Lightware, Inc"),
        ['L', 'U', 'C'] => Some("Lucent Technologies"),
        ['L', 'U', 'M'] => Some("Lumagen, Inc."),
        ['L', 'U', 'X'] => Some("Luxxell Research Inc"),
        ['L', 'V', 'I'] => Some("LVI Low Vision International AB"),
        ['L', 'W', 'C'] => Some("Labway Corporation"),
        ['L', 'W', 'R'] => Some("Lightware Visual Engineering"),
        ['L', 'W', 'W'] => Some("Lanier Worldwide"),
        ['L', 'X', 'C'] => Some("LXCO Technologies AG"),
        ['L', 'X', 'N'] => Some("Luxeon"),
        ['L', 'X', 'S'] => Some("ELEA CardWare"),
        ['L', 'Z', 'X'] => Some("Lightwell Company Ltd"),
        ['M', 'A', 'C'] => Some("MAC System Company Ltd"),
        ['M', 'A', 'D'] => Some("Xedia Corporation"),
        ['M', 'A', 'E'] => Some("Maestro Pty Ltd"),
        ['M', 'A', 'G'] => Some("MAG InnoVision"),
        ['M', 'A', 'I'] => Some("Mutoh America Inc"),
        ['M', 'A', 'L'] => Some("Meridian Audio Ltd"),
        ['M', 'A', 'N'] => Some("LGIC"),
        ['M', 'A', 'S'] => Some("Mass Inc."),
        ['M', 'A', 'T'] => Some("Panasonic Connect Co.,Ltd."),
        ['M', 'A', 'X'] => Some("Rogen Tech Distribution Inc"),
        ['M', 'A', 'Y'] => Some("Maynard Electronics"),
        ['M', 'A', 'Z'] => Some("MAZeT GmbH"),
        ['M', 'B', 'C'] => Some("MBC"),
        ['M', 'B', 'D'] => Some("Microbus PLC"),
        ['M', 'B', 'M'] => Some("Marshall Electronics"),
        ['M', 'B', 'V'] => Some("Moreton Bay"),
        ['M', 'C', 'A'] => Some("American Nuclear Systems Inc"),
        ['M', 'C', 'C'] => Some("Micro Industries"),
        ['M', 'C', 'D'] => Some("McDATA Corporation"),
        ['M', 'C', 'E'] => Some("Metz-Werke GmbH & Co KG"),
        ['M', 'C', 'G'] => Some("Motorola Computer Group"),
        ['M', 'C', 'I'] => Some("Micronics Computers"),
        ['M', 'C', 'J'] => Some("Medicaroid Corporation"),
        ['M', 'C', 'L'] => Some("Motorola Communications Israel"),
        ['M', 'C', 'M'] => Some("Metricom Inc"),
        ['M', 'C', 'N'] => Some("Micron Electronics Inc"),
        ['M', 'C', 'O'] => Some("Motion Computing Inc."),
        ['M', 'C', 'P'] => Some("Magni Systems Inc"),
        ['M', 'C', 'Q'] => Some("Mat's Computers"),
        ['M', 'C', 'R'] => Some("Marina Communicaitons"),
        ['M', 'C', 'S'] => Some("Micro Computer Systems"),
        ['M', 'C', 'T'] => Some("Microtec"),
        ['M', 'C', 'X'] => Some("Millson Custom Solutions Inc."),
        ['M', 'D', 'A'] => Some("Media4 Inc"),
        ['M', 'D', 'C'] => Some("Midori Electronics"),
        ['M', 'D', 'D'] => Some("MODIS"),
        ['M', 'D', 'F'] => Some("MILDEF AB"),
        ['M', 'D', 'G'] => Some("Madge Networks"),
        ['M', 'D', 'I'] => Some("Micro Design Inc"),
        ['M', 'D', 'K'] => Some("Mediatek Corporation"),
        ['M', 'D', 'O'] => Some("Panasonic"),
        ['M', 'D', 'R'] => Some("Medar Inc"),
        ['M', 'D', 'S'] => Some("Micro Display Systems Inc"),
        ['M', 'D', 'T'] => Some("Magus Data Tech"),
        ['M', 'D', 'V'] => Some("MET Development Inc"),
        ['M', 'D', 'X'] => Some("MicroDatec GmbH"),
        ['M', 'D', 'Y'] => Some("Microdyne Inc"),
        ['M', 'E', 'C'] => Some("Mega System Technologies Inc"),
        ['M', 'E', 'D'] => Some("Messeltronik Dresden GmbH"),
        ['M', 'E', 'E'] => Some("Mitsubishi Electric Engineering Co., Ltd."),
        ['M', 'E', 'G'] => Some("Abeam Tech Ltd."),
        ['M', 'E', 'I'] => Some("Panasonic Industry Company"),
        ['M', 'E', 'J'] => Some("Mac-Eight Co., LTD."),
        ['M', 'E', 'K'] => Some("Mediaedge Corporation"),
        ['M', 'E', 'L'] => Some("Mitsubishi Electric Corporation"),
        ['M', 'E', 'N'] => Some("MEN Mikroelectronik Nueruberg GmbH"),
        ['M', 'E', 'P'] => Some("Meld Technology"),
        ['M', 'E', 'Q'] => Some("Matelect Ltd."),
        ['M', 'E', 'T'] => Some("Metheus Corporation"),
        ['M', 'E', 'U'] => Some("MPL AG, Elektronik-Unternehmen"),
        ['M', 'E', 'X'] => Some("MSC Vertriebs GmbH"),
        ['M', 'F', 'G'] => Some("MicroField Graphics Inc"),
        ['M', 'F', 'I'] => Some("Micro Firmware"),
        ['M', 'F', 'R'] => Some("MediaFire Corp."),
        ['M', 'G', 'A'] => Some("Mega System Technologies, Inc."),
        ['M', 'G', 'C'] => Some("Mentor Graphics Corporation"),
        ['M', 'G', 'E'] => Some("Schneider Electric S.A."),
        ['M', 'G', 'L'] => Some("M-G Technology Ltd"),
        ['M', 'G', 'T'] => Some("Megatech R & D Company"),
        ['M', 'H', 'Q'] => Some("Moxa Inc."),
        ['M', 'I', 'C'] => Some("Micom Communications Inc"),
        ['M', 'I', 'D'] => Some("miro Displays"),
        ['M', 'I', 'I'] => Some("Mitec Inc"),
        ['M', 'I', 'L'] => Some("Marconi Instruments Ltd"),
        ['M', 'I', 'M'] => Some("Mimio – A Newell Rubbermaid Company"),
        ['M', 'I', 'N'] => Some("Minicom Digital Signage"),
        ['M', 'I', 'P'] => Some("micronpc.com"),
        ['M', 'I', 'R'] => Some("Miro Computer Prod."),
        ['M', 'I', 'S'] => Some("Modular Industrial Solutions Inc"),
        ['M', 'I', 'T'] => Some("MCM Industrial Technology GmbH"),
        ['M', 'I', 'V'] => Some("MicroImage Video Systems"),
        ['M', 'J', 'I'] => Some("MARANTZ JAPAN, INC."),
        ['M', 'J', 'S'] => Some("MJS Designs"),
        ['M', 'K', 'C'] => Some("Media Tek Inc."),
        ['M', 'K', 'S'] => Some("MK Seiko Co., Ltd."),
        ['M', 'K', 'T'] => Some("MICROTEK Inc."),
        ['M', 'K', 'V'] => Some("Trtheim Technology"),
        ['M', 'L', 'C'] => Some("MILCOTS"),
        ['M', 'L', 'D'] => Some("Deep Video Imaging Ltd"),
        ['M', 'L', 'G'] => Some("Micrologica AG"),
        ['M', 'L', 'I'] => Some("McIntosh Laboratory Inc."),
        ['M', 'L', 'L'] => Some("Millogic Ltd."),
        ['M', 'L', 'M'] => Some("Millennium Engineering Inc"),
        ['M', 'L', 'N'] => Some("Mark Levinson"),
        ['M', 'L', 'P'] => Some("Magic Leap"),
        ['M', 'L', 'S'] => Some("Milestone EPE"),
        ['M', 'L', 'T'] => Some("Wanlida Group Co., Ltd."),
        ['M', 'L', 'X'] => Some("Mylex Corporation"),
        ['M', 'M', 'A'] => Some("Micromedia AG"),
        ['M', 'M', 'D'] => Some("Micromed Biotecnologia Ltd"),
        ['M', 'M', 'F'] => Some("Minnesota Mining and Manufacturing"),
        ['M', 'M', 'I'] => Some("Multimax"),
        ['M', 'M', 'M'] => Some("Electronic Measurements"),
        ['M', 'M', 'N'] => Some("MiniMan Inc"),
        ['M', 'M', 'S'] => Some("MMS Electronics"),
        ['M', 'M', 'T'] => Some("MIMO Monitors"),
        ['M', 'N', 'C'] => Some("Mini Micro Methods Ltd"),
        ['M', 'N', 'I'] => Some("Marseille, Inc."),
        ['M', 'N', 'L'] => Some("Monorail Inc"),
        ['M', 'N', 'P'] => Some("Microcom"),
        ['M', 'O', 'C'] => Some("Matrix Orbital Corporation"),
        ['M', 'O', 'D'] => Some("Modular Technology"),
        ['M', 'O', 'M'] => Some("Momentum Data Systems"),
        ['M', 'O', 'S'] => Some("Moses Corporation"),
        ['M', 'O', 'T'] => Some("Motorola UDS"),
        ['M', 'P', 'C'] => Some("M-Pact Inc"),
        ['M', 'P', 'I'] => Some("Mediatrix Peripherals Inc"),
        ['M', 'P', 'J'] => Some("Microlab"),
        ['M', 'P', 'L'] => Some("Maple Research Inst. Company Ltd"),
        ['M', 'P', 'N'] => Some("Mainpine Limited"),
        ['M', 'P', 'S'] => Some("mps Software GmbH"),
        ['M', 'P', 'V'] => Some("Megapixel Visual Realty"),
        ['M', 'P', 'X'] => Some("Micropix Technologies, Ltd."),
        ['M', 'Q', 'P'] => Some("MultiQ Products AB"),
        ['M', 'R', 'A'] => Some("Miranda Technologies Inc"),
        ['M', 'R', 'C'] => Some("Marconi Simulation & Ty-Coch Way Training"),
        ['M', 'R', 'D'] => Some("MicroDisplay Corporation"),
        ['M', 'R', 'G'] => Some("Nreal"),
        ['M', 'R', 'K'] => Some("Maruko & Company Ltd"),
        ['M', 'R', 'L'] => Some("Miratel"),
        ['M', 'R', 'O'] => Some("Medikro Oy"),
        ['M', 'R', 'T'] => Some("Merging Technologies"),
        ['M', 'S', 'A'] => Some("Micro Systemation AB"),
        ['M', 'S', 'C'] => Some("Mouse Systems Corporation"),
        ['M', 'S', 'D'] => Some("Datenerfassungs- und Informationssysteme"),
        ['M', 'S', 'F'] => Some("M-Systems Flash Disk Pioneers"),
        ['M', 'S', 'G'] => Some("MSI GmbH"),
        ['M', 'S', 'H'] => Some("Microsoft"),
        ['M', 'S', 'I'] => Some("Microstep"),
        ['M', 'S', 'K'] => Some("Megasoft Inc"),
        ['M', 'S', 'L'] => Some("MicroSlate Inc."),
        ['M', 'S', 'M'] => Some("Advanced Digital Systems"),
        ['M', 'S', 'P'] => Some("Mistral Solutions [P] Ltd."),
        ['M', 'S', 'R'] => Some("MASPRO DENKOH Corp."),
        ['M', 'S', 'T'] => Some("MS Telematica"),
        ['M', 'S', 'U'] => Some("motorola"),
        ['M', 'S', 'V'] => Some("Mosgi Corporation"),
        ['M', 'S', 'X'] => Some("Micomsoft Co., Ltd."),
        ['M', 'S', 'Y'] => Some("MicroTouch Systems Inc"),
        ['M', 'T', 'A'] => Some("Meta Watch Ltd"),
        ['M', 'T', 'B'] => Some("Media Technologies Ltd."),
        ['M', 'T', 'C'] => Some("Mars-Tech Corporation"),
        ['M', 'T', 'D'] => Some("MindTech Display Co. Ltd"),
        ['M', 'T', 'E'] => Some("MediaTec GmbH"),
        ['M', 'T', 'H'] => Some("Micro-Tech Hearing Instruments"),
        ['M', 'T', 'I'] => Some("MaxCom Technical Inc"),
        ['M', 'T', 'J'] => Some("MicroTechnica Co.,Ltd."),
        ['M', 'T', 'K'] => Some("Microtek International Inc."),
        ['M', 'T', 'L'] => Some("Mitel Corporation"),
        ['M', 'T', 'M'] => Some("Motium"),
        ['M', 'T', 'N'] => Some("Mtron Storage Technology Co., Ltd."),
        ['M', 'T', 'R'] => Some("Mitron computer Inc"),
        ['M', 'T', 'S'] => Some("Multi-Tech Systems"),
        ['M', 'T', 'U'] => Some("Mark of the Unicorn Inc"),
        ['M', 'T', 'X'] => Some("Matrox"),
        ['M', 'U', 'D'] => Some("Multi-Dimension Institute"),
        ['M', 'U', 'K'] => Some("Mainpine Limited"),
        ['M', 'V', 'D'] => Some("Microvitec PLC"),
        ['M', 'V', 'I'] => Some("Media Vision Inc"),
        ['M', 'V', 'M'] => Some("SOBO VISION"),
        ['M', 'V', 'N'] => Some("Meta Company"),
        ['M', 'V', 'R'] => Some("MediCapture, Inc."),
        ['M', 'V', 'S'] => Some("Microvision"),
        ['M', 'V', 'X'] => Some("COM 1"),
        ['M', 'W', 'I'] => Some("Multiwave Innovation Pte Ltd"),
        ['M', 'W', 'R'] => Some("mware"),
        ['M', 'W', 'Y'] => Some("Microway Inc"),
        ['M', 'X', 'D'] => Some("MaxData Computer GmbH & Co.KG"),
        ['M', 'X', 'I'] => Some("Macronix Inc"),
        ['M', 'X', 'L'] => Some("Hitachi Maxell, Ltd."),
        ['M', 'X', 'M'] => Some("C&T Solution Inc."),
        ['M', 'X', 'P'] => Some("Maxpeed Corporation"),
        ['M', 'X', 'T'] => Some("Maxtech Corporation"),
        ['M', 'X', 'V'] => Some("MaxVision Corporation"),
        ['M', 'Y', 'A'] => Some("Monydata"),
        ['M', 'Y', 'R'] => Some("Myriad Solutions Ltd"),
        ['M', 'Y', 'X'] => Some("Micronyx Inc"),
        ['N', 'A', 'C'] => Some("Ncast Corporation"),
        ['N', 'A', 'D'] => Some("NAD Electronics"),
        ['N', 'A', 'F'] => Some("NAFASAE INDIA Pvt. Ltd"),
        ['N', 'A', 'K'] => Some("Nakano Engineering Co.,Ltd."),
        ['N', 'A', 'L'] => Some("Network Alchemy"),
        ['N', 'A', 'T'] => Some("NaturalPoint Inc."),
        ['N', 'A', 'V'] => Some("Navigation Corporation"),
        ['N', 'A', 'X'] => Some("Naxos Tecnologia"),
        ['N', 'B', 'L'] => Some("N*Able Technologies Inc"),
        ['N', 'B', 'S'] => Some("National Key Lab. on ISN"),
        ['N', 'B', 'T'] => Some("NingBo Bestwinning Technology CO., Ltd"),
        ['N', 'C', 'A'] => Some("Nixdorf Company"),
        ['N', 'C', 'C'] => Some("NCR Corporation"),
        ['N', 'C', 'E'] => Some("Norcent Technology, Inc."),
        ['N', 'C', 'I'] => Some("NewCom Inc"),
        ['N', 'C', 'L'] => Some("NetComm Ltd"),
        ['N', 'C', 'P'] => Some("Najing CEC Panda FPD Technology CO. ltd"),
        ['N', 'C', 'R'] => Some("NCR Electronics"),
        ['N', 'C', 'S'] => Some("Northgate Computer Systems"),
        ['N', 'C', 'T'] => Some("NEC CustomTechnica, Ltd."),
        ['N', 'D', 'C'] => Some("National DataComm Corporaiton"),
        ['N', 'D', 'F'] => Some("NDF Special Light Products B.V."),
        ['N', 'D', 'I'] => Some("National Display Systems"),
        ['N', 'D', 'K'] => Some("Naitoh Densei CO., LTD."),
        ['N', 'D', 'L'] => Some("Network Designers"),
        ['N', 'D', 'S'] => Some("Nokia Data"),
        ['N', 'E', 'C'] => Some("NEC Corporation"),
        ['N', 'E', 'O'] => Some("NEO TELECOM CO.,LTD."),
        ['N', 'E', 'S'] => Some("INNES"),
        ['N', 'E', 'T'] => Some("Mettler Toledo"),
        ['N', 'E', 'U'] => Some("NEUROTEC - EMPRESA DE PESQUISA E DESENVOLVIMENTO EM BIOMEDICINA"),
        ['N', 'E', 'X'] => Some("Nexgen Mediatech Inc.,"),
        ['N', 'F', 'C'] => Some("BTC Korea Co., Ltd"),
        ['N', 'F', 'S'] => Some("Number Five Software"),
        ['N', 'G', 'C'] => Some("Network General"),
        ['N', 'G', 'S'] => Some("A D S Exports"),
        ['N', 'H', 'C'] => Some("New H3C Technology Co., Ltd."),
        ['N', 'H', 'T'] => Some("Vinci Labs"),
        ['N', 'I', 'C'] => Some("National Instruments Corporation"),
        ['N', 'I', 'S'] => Some("Nissei Electric Company"),
        ['N', 'I', 'T'] => Some("Network Info Technology"),
        ['N', 'I', 'X'] => Some("Seanix Technology Inc"),
        ['N', 'L', 'C'] => Some("Next Level Communications"),
        ['N', 'M', 'E'] => Some("Navico, Inc."),
        ['N', 'M', 'P'] => Some("Nokia Mobile Phones"),
        ['N', 'M', 'S'] => Some("Natural Micro System"),
        ['N', 'M', 'V'] => Some("NEC-Mitsubishi Electric Visual Systems Corporation"),
        ['N', 'M', 'X'] => Some("Neomagic"),
        ['N', 'N', 'C'] => Some("NNC"),
        ['N', 'O', 'D'] => Some("3NOD Digital Technology Co. Ltd."),
        ['N', 'O', 'E'] => Some("NordicEye AB"),
        ['N', 'O', 'I'] => Some("North Invent A/S"),
        ['N', 'O', 'K'] => Some("Nokia Display Products"),
        ['N', 'O', 'R'] => Some("Norand Corporation"),
        ['N', 'O', 'T'] => Some("Not Limited Inc"),
        ['N', 'P', 'A'] => Some("Arvanics"),
        ['N', 'P', 'I'] => Some("Network Peripherals Inc"),
        ['N', 'R', 'I'] => Some("Noritake Itron Corporation"),
        ['N', 'R', 'L'] => Some("U.S. Naval Research Lab"),
        ['N', 'R', 'T'] => Some("Beijing Northern Radiantelecom Co."),
        ['N', 'R', 'V'] => Some("Taugagreining hf"),
        ['N', 'S', 'A'] => Some("NeuroSky, Inc."),
        ['N', 'S', 'C'] => Some("National Semiconductor Corporation"),
        ['N', 'S', 'I'] => Some("NISSEI ELECTRIC CO.,LTD"),
        ['N', 'S', 'P'] => Some("Nspire System Inc."),
        ['N', 'S', 'S'] => Some("Newport Systems Solutions"),
        ['N', 'S', 'T'] => Some("Network Security Technology Co"),
        ['N', 'T', 'C'] => Some("NeoTech S.R.L"),
        ['N', 'T', 'I'] => Some("New Tech Int'l Company"),
        ['N', 'T', 'K'] => Some("NewTek"),
        ['N', 'T', 'L'] => Some("National Transcomm. Ltd"),
        ['N', 'T', 'N'] => Some("Nuvoton Technology Corporation"),
        ['N', 'T', 'R'] => Some("N-trig Innovative Technologies, Inc."),
        ['N', 'T', 'S'] => Some("Nits Technology Inc."),
        ['N', 'T', 'T'] => Some("NTT Advanced Technology Corporation"),
        ['N', 'T', 'W'] => Some("Networth Inc"),
        ['N', 'T', 'X'] => Some("Netaccess Inc"),
        ['N', 'U', 'G'] => Some("NU Technology, Inc."),
        ['N', 'U', 'I'] => Some("NU Inc."),
        ['N', 'V', 'C'] => Some("NetVision Corporation"),
        ['N', 'V', 'D'] => Some("Nvidia"),
        ['N', 'V', 'I'] => Some("NuVision US, Inc."),
        ['N', 'V', 'L'] => Some("Novell Inc"),
        ['N', 'V', 'O'] => Some("Netvio Ltd."),
        ['N', 'V', 'R'] => Some("NOLO CO., LTD."),
        ['N', 'V', 'T'] => Some("Navatek Engineering Corporation"),
        ['N', 'W', 'C'] => Some("NW Computer Engineering"),
        ['N', 'W', 'L'] => Some("Newline Interactive Inc."),
        ['N', 'W', 'P'] => Some("NovaWeb Technologies Inc"),
        ['N', 'W', 'S'] => Some("Newisys, Inc."),
        ['N', 'X', 'C'] => Some("NextCom K.K."),
        ['N', 'X', 'G'] => Some("Nexgen"),
        ['N', 'X', 'P'] => Some("NXP Semiconductors bv."),
        ['N', 'X', 'Q'] => Some("Nexiq Technologies, Inc."),
        ['N', 'X', 'R'] => Some("Nextorage Corporation"),
        ['N', 'X', 'S'] => Some("Technology Nexus Secure Open Systems AB"),
        ['N', 'X', 'T'] => Some("NZXT (PNP same EDID)_"),
        ['N', 'Y', 'C'] => Some("Nakayo Relecommunications, Inc."),
        ['O', 'A', 'K'] => Some("Oak Tech Inc"),
        ['O', 'A', 'S'] => Some("Oasys Technology Company"),
        ['O', 'B', 'S'] => Some("Optibase Technologies"),
        ['O', 'C', 'D'] => Some("Macraigor Systems Inc"),
        ['O', 'C', 'N'] => Some("Olfan"),
        ['O', 'C', 'S'] => Some("Open Connect Solutions"),
        ['O', 'D', 'M'] => Some("ODME Inc."),
        ['O', 'D', 'R'] => Some("Odrac"),
        ['O', 'E', 'C'] => Some("ORION ELECTRIC CO.,LTD"),
        ['O', 'E', 'I'] => Some("Optum Engineering Inc."),
        ['O', 'H', 'W'] => Some("M-Labs Limited"),
        ['O', 'I', 'C'] => Some("Option Industrial Computers"),
        ['O', 'I', 'M'] => Some("Option International"),
        ['O', 'I', 'N'] => Some("Option International"),
        ['O', 'K', 'I'] => Some("OKI Electric Industrial Company Ltd"),
        ['O', 'L', 'C'] => Some("Olicom A/S"),
        ['O', 'L', 'D'] => Some("Olidata S.p.A."),
        ['O', 'L', 'I'] => Some("Olivetti"),
        ['O', 'L', 'T'] => Some("Olitec S.A."),
        ['O', 'L', 'V'] => Some("Olitec S.A."),
        ['O', 'L', 'Y'] => Some("OLYMPUS CORPORATION"),
        ['O', 'M', 'C'] => Some("OBJIX Multimedia Corporation"),
        ['O', 'M', 'N'] => Some("Omnitel"),
        ['O', 'M', 'R'] => Some("Omron Corporation"),
        ['O', 'N', 'E'] => Some("Oneac Corporation"),
        ['O', 'N', 'K'] => Some("ONKYO Corporation"),
        ['O', 'N', 'L'] => Some("OnLive, Inc"),
        ['O', 'N', 'S'] => Some("On Systems Inc"),
        ['O', 'N', 'W'] => Some("OPEN Networks Ltd"),
        ['O', 'N', 'X'] => Some("SOMELEC Z.I. Du Vert Galanta"),
        ['O', 'O', 'S'] => Some("OSRAM"),
        ['O', 'P', 'C'] => Some("Opcode Inc"),
        ['O', 'P', 'I'] => Some("D.N.S. Corporation"),
        ['O', 'P', 'P'] => Some("OPPO Digital, Inc."),
        ['O', 'P', 'T'] => Some("OPTi Inc"),
        ['O', 'P', 'V'] => Some("Optivision Inc"),
        ['O', 'Q', 'I'] => Some("Oksori Company Ltd"),
        ['O', 'R', 'G'] => Some("ORGA Kartensysteme GmbH"),
        ['O', 'R', 'I'] => Some("OSR Open Systems Resources, Inc."),
        ['O', 'R', 'N'] => Some("ORION ELECTRIC CO., LTD."),
        ['O', 'S', 'A'] => Some("OSAKA Micro Computer, Inc."),
        ['O', 'S', 'D'] => Some("Optical Systems Design Pty Ltd"),
        ['O', 'S', 'I'] => Some("Open Stack, Inc."),
        ['O', 'S', 'P'] => Some("OPTI-UPS Corporation"),
        ['O', 'S', 'R'] => Some("Oksori Company Ltd"),
        ['O', 'T', 'B'] => Some("outsidetheboxstuff.com"),
        ['O', 'T', 'I'] => Some("Orchid Technology"),
        ['O', 'T', 'K'] => Some("OmniTek"),
        ['O', 'T', 'M'] => Some("Optoma Corporation"),
        ['O', 'T', 'T'] => Some("OPTO22, Inc."),
        ['O', 'U', 'K'] => Some("OUK Company Ltd"),
        ['O', 'V', 'R'] => Some("Oculus VR, Inc."),
        ['O', 'W', 'L'] => Some("Mediacom Technologies Pte Ltd"),
        ['O', 'X', 'U'] => Some("Oxus Research S.A."),
        ['O', 'Y', 'O'] => Some("Shadow Systems"),
        ['O', 'Z', 'C'] => Some("OZ Corporation"),
        ['O', 'Z', 'D'] => Some("OZO Co.Ltd"),
        ['O', 'Z', 'O'] => Some("Tribe Computer Works Inc"),
        ['P', 'A', 'C'] => Some("Pacific Avionics Corporation"),
        ['P', 'A', 'D'] => Some("Promotion and Display Technology Ltd."),
        ['P', 'A', 'E'] => Some("PreSonus Audio Electronics"),
        ['P', 'A', 'K'] => Some("Many CNC System Co., Ltd."),
        ['P', 'A', 'M'] => Some("Peter Antesberger Messtechnik"),
        ['P', 'A', 'N'] => Some("The Panda Project"),
        ['P', 'A', 'R'] => Some("Parallan Comp Inc"),
        ['P', 'B', 'I'] => Some("Pitney Bowes"),
        ['P', 'B', 'L'] => Some("Packard Bell Electronics"),
        ['P', 'B', 'N'] => Some("Packard Bell NEC"),
        ['P', 'B', 'V'] => Some("Pitney Bowes"),
        ['P', 'C', 'A'] => Some("Philips BU Add On Card"),
        ['P', 'C', 'B'] => Some("OCTAL S.A."),
        ['P', 'C', 'C'] => Some("PowerCom Technology Company Ltd"),
        ['P', 'C', 'G'] => Some("First Industrial Computer Inc"),
        ['P', 'C', 'I'] => Some("Pioneer Computer Inc"),
        ['P', 'C', 'K'] => Some("PCBANK21"),
        ['P', 'C', 'L'] => Some("pentel.co.,ltd"),
        ['P', 'C', 'M'] => Some("PCM Systems Corporation"),
        ['P', 'C', 'O'] => Some("Performance Concepts Inc.,"),
        ['P', 'C', 'P'] => Some("Procomp USA Inc"),
        ['P', 'C', 'S'] => Some("TOSHIBA PERSONAL COMPUTER SYSTEM CORPRATION"),
        ['P', 'C', 'T'] => Some("PC-Tel Inc"),
        ['P', 'C', 'W'] => Some("Pacific CommWare Inc"),
        ['P', 'C', 'X'] => Some("PC Xperten"),
        ['P', 'D', 'M'] => Some("Psion Dacom Plc."),
        ['P', 'D', 'N'] => Some("AT&T Paradyne"),
        ['P', 'D', 'R'] => Some("Pure Data Inc"),
        ['P', 'D', 'S'] => Some("PD Systems International Ltd"),
        ['P', 'D', 'T'] => Some("PDTS - Prozessdatentechnik und Systeme"),
        ['P', 'D', 'V'] => Some("Prodrive B.V."),
        ['P', 'E', 'C'] => Some("POTRANS Electrical Corp."),
        ['P', 'E', 'G'] => Some("Pegatron Corporation"),
        ['P', 'E', 'I'] => Some("PEI Electronics Inc"),
        ['P', 'E', 'L'] => Some("Primax Electric Ltd"),
        ['P', 'E', 'N'] => Some("Interactive Computer Products Inc"),
        ['P', 'E', 'P'] => Some("Peppercon AG"),
        ['P', 'E', 'R'] => Some("Perceptive Signal Technologies"),
        ['P', 'E', 'T'] => Some("Practical Electronic Tools"),
        ['P', 'F', 'T'] => Some("Telia ProSoft AB"),
        ['P', 'G', 'I'] => Some("PACSGEAR, Inc."),
        ['P', 'G', 'M'] => Some("Paradigm Advanced Research Centre"),
        ['P', 'G', 'P'] => Some("propagamma kommunikation"),
        ['P', 'G', 'S'] => Some("Princeton Graphic Systems"),
        ['P', 'H', 'C'] => Some("Pijnenburg Beheer N.V."),
        ['P', 'H', 'E'] => Some("Philips Medical Systems Boeblingen GmbH"),
        ['P', 'H', 'I'] => Some("DO NOT USE - PHI"),
        ['P', 'H', 'L'] => Some("Philips Consumer Electronics Company"),
        ['P', 'H', 'O'] => Some("Photonics Systems Inc."),
        ['P', 'H', 'S'] => Some("Philips Communication Systems"),
        ['P', 'H', 'Y'] => Some("Phylon Communications"),
        ['P', 'I', 'C'] => Some("Picturall Ltd."),
        ['P', 'I', 'E'] => Some("Pacific Image Electronics Company Ltd"),
        ['P', 'I', 'M'] => Some("Prism, LLC"),
        ['P', 'I', 'O'] => Some("Pioneer Electronic Corporation"),
        ['P', 'I', 'R'] => Some("Pico Technology Inc."),
        ['P', 'I', 'S'] => Some("TECNART CO.,LTD."),
        ['P', 'I', 'X'] => Some("Pixie Tech Inc"),
        ['P', 'J', 'A'] => Some("Projecta"),
        ['P', 'J', 'D'] => Some("Projectiondesign AS"),
        ['P', 'J', 'T'] => Some("Pan Jit International Inc."),
        ['P', 'K', 'A'] => Some("Acco UK Ltd."),
        ['P', 'L', 'C'] => Some("Pro-Log Corporation"),
        ['P', 'L', 'F'] => Some("Panasonic Avionics Corporation"),
        ['P', 'L', 'M'] => Some("PROLINK Microsystems Corp."),
        ['P', 'L', 'T'] => Some("PT Hartono Istana Teknologi"),
        ['P', 'L', 'V'] => Some("PLUS Vision Corp."),
        ['P', 'L', 'X'] => Some("Parallax Graphics"),
        ['P', 'L', 'Y'] => Some("Polycom Inc."),
        ['P', 'M', 'C'] => Some("PMC Consumer Electronics Ltd"),
        ['P', 'M', 'D'] => Some("TDK USA Corporation"),
        ['P', 'M', 'M'] => Some("Point Multimedia System"),
        ['P', 'M', 'S'] => Some("Pabian Embedded Systems"),
        ['P', 'M', 'T'] => Some("Promate Electronic Co., Ltd."),
        ['P', 'M', 'X'] => Some("Photomatrix"),
        ['P', 'N', 'G'] => Some("Microsoft"),
        ['P', 'N', 'L'] => Some("Panelview, Inc."),
        ['P', 'N', 'P'] => Some("Microsoft"),
        ['P', 'N', 'R'] => Some("Planar Systems, Inc."),
        ['P', 'N', 'S'] => Some("PanaScope"),
        ['P', 'N', 'T'] => Some("HOYA Corporation PENTAX Lifecare Division"),
        ['P', 'N', 'X'] => Some("Phoenix Technologies, Ltd."),
        ['P', 'O', 'L'] => Some("PolyComp (PTY) Ltd."),
        ['P', 'O', 'N'] => Some("Perpetual Technologies, LLC"),
        ['P', 'O', 'R'] => Some("Portalis LC"),
        ['P', 'O', 'S'] => Some("Positivo Tecnologia S.A."),
        ['P', 'O', 'T'] => Some("Parrot"),
        ['P', 'P', 'C'] => Some("Phoenixtec Power Company Ltd"),
        ['P', 'P', 'D'] => Some("MEPhI"),
        ['P', 'P', 'I'] => Some("Practical Peripherals"),
        ['P', 'P', 'M'] => Some("Clinton Electronics Corp."),
        ['P', 'P', 'P'] => Some("Purup Prepress AS"),
        ['P', 'P', 'R'] => Some("PicPro"),
        ['P', 'P', 'X'] => Some("Perceptive Pixel Inc."),
        ['P', 'Q', 'I'] => Some("Pixel Qi"),
        ['P', 'R', 'A'] => Some("PRO/AUTOMATION"),
        ['P', 'R', 'C'] => Some("PerComm"),
        ['P', 'R', 'D'] => Some("Praim S.R.L."),
        ['P', 'R', 'F'] => Some("Schneider Electric Japan Holdings, Ltd."),
        ['P', 'R', 'G'] => Some("The Phoenix Research Group Inc"),
        ['P', 'R', 'I'] => Some("Priva Hortimation BV"),
        ['P', 'R', 'M'] => Some("Prometheus"),
        ['P', 'R', 'O'] => Some("Proteon"),
        ['P', 'R', 'P'] => Some("UEFI Forum"),
        ['P', 'R', 'S'] => Some("Leutron Vision"),
        ['P', 'R', 'T'] => Some("Parade Technologies, Ltd."),
        ['P', 'R', 'X'] => Some("Proxima Corporation"),
        ['P', 'S', 'A'] => Some("Advanced Signal Processing Technologies"),
        ['P', 'S', 'C'] => Some("Philips Semiconductors"),
        ['P', 'S', 'D'] => Some("Peus-Systems GmbH"),
        ['P', 'S', 'E'] => Some("Practical Solutions Pte., Ltd."),
        ['P', 'S', 'I'] => Some("PSI-Perceptive Solutions Inc"),
        ['P', 'S', 'L'] => Some("Perle Systems Limited"),
        ['P', 'S', 'M'] => Some("Prosum"),
        ['P', 'S', 'T'] => Some("Global Data SA"),
        ['P', 'S', 'Y'] => Some("Prodea Systems Inc."),
        ['P', 'T', 'A'] => Some("PAR Tech Inc."),
        ['P', 'T', 'C'] => Some("PS Technology Corporation"),
        ['P', 'T', 'G'] => Some("Cipher Systems Inc"),
        ['P', 'T', 'H'] => Some("Pathlight Technology Inc"),
        ['P', 'T', 'I'] => Some("Promise Technology Inc"),
        ['P', 'T', 'L'] => Some("Pantel Inc"),
        ['P', 'T', 'S'] => Some("Plain Tree Systems Inc"),
        ['P', 'T', 'W'] => Some("DO NOT USE - PTW"),
        ['P', 'U', 'L'] => Some("Pulse-Eight Ltd"),
        ['P', 'V', 'C'] => Some("DO NOT USE - PVC"),
        ['P', 'V', 'G'] => Some("Proview Global Co., Ltd"),
        ['P', 'V', 'I'] => Some("Prime view international Co., Ltd"),
        ['P', 'V', 'M'] => Some("Penta Studiotechnik GmbH"),
        ['P', 'V', 'N'] => Some("Pixel Vision"),
        ['P', 'V', 'P'] => Some("Klos Technologies, Inc."),
        ['P', 'V', 'R'] => Some("Pimax Tech. CO., LTD"),
        ['P', 'X', 'C'] => Some("Phoenix Contact"),
        ['P', 'X', 'E'] => Some("PIXELA CORPORATION"),
        ['P', 'X', 'L'] => Some("The Moving Pixel Company"),
        ['P', 'X', 'M'] => Some("Proxim Inc"),
        ['P', 'X', 'N'] => Some("PixelNext Inc"),
        ['Q', 'C', 'C'] => Some("QuakeCom Company Ltd"),
        ['Q', 'C', 'H'] => Some("Metronics Inc"),
        ['Q', 'C', 'I'] => Some("Quanta Computer Inc"),
        ['Q', 'C', 'K'] => Some("Quick Corporation"),
        ['Q', 'C', 'L'] => Some("Quadrant Components Inc"),
        ['Q', 'C', 'P'] => Some("Qualcomm Inc"),
        ['Q', 'D', 'I'] => Some("Quantum Data Incorporated"),
        ['Q', 'D', 'L'] => Some("QD Laser, Inc."),
        ['Q', 'D', 'M'] => Some("Quadram"),
        ['Q', 'D', 'S'] => Some("Quanta Display Inc."),
        ['Q', 'F', 'F'] => Some("Padix Co., Inc."),
        ['Q', 'F', 'I'] => Some("Quickflex, Inc"),
        ['Q', 'L', 'C'] => Some("Q-Logic"),
        ['Q', 'Q', 'Q'] => Some("Chuomusen Co., Ltd."),
        ['Q', 'S', 'C'] => Some("QSC, LLC"),
        ['Q', 'S', 'I'] => Some("Quantum Solutions, Inc."),
        ['Q', 'T', 'D'] => Some("Quantum 3D Inc"),
        ['Q', 'T', 'H'] => Some("Questech Ltd"),
        ['Q', 'T', 'I'] => Some("Quicknet Technologies Inc"),
        ['Q', 'T', 'M'] => Some("Quantum"),
        ['Q', 'T', 'R'] => Some("Qtronix Corporation"),
        ['Q', 'U', 'A'] => Some("Quatographic AG"),
        ['Q', 'U', 'E'] => Some("Questra Consulting"),
        ['Q', 'V', 'U'] => Some("Quartics"),
        ['R', 'A', 'C'] => Some("Racore Computer Products Inc"),
        ['R', 'A', 'D'] => Some("Radisys Corporation"),
        ['R', 'A', 'I'] => Some("Rockwell Automation/Intecolor"),
        ['R', 'A', 'N'] => Some("Rancho Tech Inc"),
        ['R', 'A', 'R'] => Some("Raritan, Inc."),
        ['R', 'A', 'S'] => Some("RAScom Inc"),
        ['R', 'A', 'T'] => Some("Rent-A-Tech"),
        ['R', 'A', 'Y'] => Some("Raylar Design, Inc."),
        ['R', 'C', 'E'] => Some("Parc d'Activite des Bellevues"),
        ['R', 'C', 'H'] => Some("Reach Technology Inc"),
        ['R', 'C', 'I'] => Some("RC International"),
        ['R', 'C', 'N'] => Some("Radio Consult SRL"),
        ['R', 'C', 'O'] => Some("Rockwell Collins"),
        ['R', 'D', 'I'] => Some("Rainbow Displays, Inc."),
        ['R', 'D', 'L'] => Some("Riedel Communications Canada Inc."),
        ['R', 'D', 'M'] => Some("Tremon Enterprises Company Ltd"),
        ['R', 'D', 'N'] => Some("RADIODATA GmbH"),
        ['R', 'D', 'S'] => Some("Radius Inc"),
        ['R', 'E', 'A'] => Some("Real D"),
        ['R', 'E', 'C'] => Some("ReCom"),
        ['R', 'E', 'D'] => Some("Research Electronics Development Inc"),
        ['R', 'E', 'F'] => Some("Reflectivity, Inc."),
        ['R', 'E', 'H'] => Some("Rehan Electronics Ltd."),
        ['R', 'E', 'L'] => Some("Reliance Electric Ind Corporation"),
        ['R', 'E', 'M'] => Some("SCI Systems Inc."),
        ['R', 'E', 'N'] => Some("Renesas Technology Corp."),
        ['R', 'E', 'S'] => Some("ResMed Pty Ltd"),
        ['R', 'E', 'T'] => Some("Resonance Technology, Inc."),
        ['R', 'E', 'V'] => Some("Revolution Display, Inc."),
        ['R', 'E', 'X'] => Some("RATOC Systems, Inc."),
        ['R', 'F', 'I'] => Some("RAFI GmbH & Co. KG"),
        ['R', 'F', 'X'] => Some("Redfox Technologies Inc."),
        ['R', 'G', 'B'] => Some("RGB Spectrum"),
        ['R', 'G', 'L'] => Some("Robertson Geologging Ltd"),
        ['R', 'H', 'D'] => Some("RightHand Technologies"),
        ['R', 'H', 'M'] => Some("Rohm Company Ltd"),
        ['R', 'H', 'T'] => Some("Red Hat, Inc."),
        ['R', 'I', 'C'] => Some("RICOH COMPANY, LTD."),
        ['R', 'I', 'I'] => Some("Racal Interlan Inc"),
        ['R', 'I', 'O'] => Some("Rios Systems Company Ltd"),
        ['R', 'I', 'T'] => Some("Ritech Inc"),
        ['R', 'I', 'V'] => Some("Rivulet Communications"),
        ['R', 'J', 'A'] => Some("Roland Corporation"),
        ['R', 'J', 'S'] => Some("Advanced Engineering"),
        ['R', 'K', 'C'] => Some("Reakin Technolohy Corporation"),
        ['R', 'L', 'D'] => Some("MEPCO"),
        ['R', 'L', 'N'] => Some("RadioLAN Inc"),
        ['R', 'M', 'C'] => Some("Raritan Computer, Inc"),
        ['R', 'M', 'P'] => Some("Research Machines"),
        ['R', 'M', 'S'] => Some("Shenzhen Ramos Digital Technology Co., Ltd"),
        ['R', 'M', 'T'] => Some("Roper Mobile"),
        ['R', 'N', 'B'] => Some("Rainbow Technologies"),
        ['R', 'O', 'B'] => Some("Robust Electronics GmbH"),
        ['R', 'O', 'H'] => Some("Rohm Co., Ltd."),
        ['R', 'O', 'K'] => Some("Rockwell International"),
        ['R', 'O', 'P'] => Some("Roper International Ltd"),
        ['R', 'O', 'S'] => Some("Rohde & Schwarz"),
        ['R', 'P', 'I'] => Some("RoomPro Technologies"),
        ['R', 'P', 'T'] => Some("R.P.T.Intergroups"),
        ['R', 'R', 'I'] => Some("Radicom Research Inc"),
        ['R', 'S', 'C'] => Some("PhotoTelesis"),
        ['R', 'S', 'H'] => Some("ADC-Centre"),
        ['R', 'S', 'I'] => Some("Rampage Systems Inc"),
        ['R', 'S', 'N'] => Some("Radiospire Networks, Inc."),
        ['R', 'S', 'Q'] => Some("R Squared"),
        ['R', 'S', 'R'] => Some("Zhong Shan City Richsound Electronic Industrial Ltd."),
        ['R', 'S', 'S'] => Some("Rockwell Semiconductor Systems"),
        ['R', 'S', 'V'] => Some("Ross Video Ltd"),
        ['R', 'S', 'X'] => Some("Rapid Tech Corporation"),
        ['R', 'T', 'C'] => Some("Relia Technologies"),
        ['R', 'T', 'I'] => Some("Rancho Tech Inc"),
        ['R', 'T', 'K'] => Some("DO NOT USE - RTK"),
        ['R', 'T', 'L'] => Some("Realtek Semiconductor Company Ltd"),
        ['R', 'T', 'S'] => Some("Raintree Systems"),
        ['R', 'U', 'N'] => Some("RUNCO International"),
        ['R', 'U', 'P'] => Some("Ups Manufactoring s.r.l."),
        ['R', 'V', 'C'] => Some("RSI Systems Inc"),
        ['R', 'V', 'I'] => Some("Realvision Inc"),
        ['R', 'V', 'L'] => Some("Reveal Computer Prod"),
        ['R', 'W', 'C'] => Some("Red Wing Corporation"),
        ['R', 'X', 'T'] => Some("Tectona SoftSolutions (P) Ltd.,"),
        ['R', 'Z', 'R'] => Some("Razer Taiwan Co. Ltd."),
        ['R', 'Z', 'S'] => Some("Rozsnyó, s.r.o."),
        ['S', 'A', 'A'] => Some("Sanritz Automation Co.,Ltd."),
        ['S', 'A', 'E'] => Some("Saab Aerotech"),
        ['S', 'A', 'G'] => Some("Sedlbauer"),
        ['S', 'A', 'I'] => Some("Sage Inc"),
        ['S', 'A', 'K'] => Some("Saitek Ltd"),
        ['S', 'A', 'M'] => Some("Samsung Electric Company"),
        ['S', 'A', 'N'] => Some("Sanyo Electric Co.,Ltd."),
        ['S', 'A', 'S'] => Some("Stores Automated Systems Inc"),
        ['S', 'A', 'T'] => Some("Shuttle Tech"),
        ['S', 'B', 'C'] => Some("Shanghai Bell Telephone Equip Mfg Co"),
        ['S', 'B', 'D'] => Some("Softbed - Consulting & Development Ltd"),
        ['S', 'B', 'I'] => Some("SMART Technologies Inc."),
        ['S', 'B', 'S'] => Some("SBS-or Industrial Computers GmbH"),
        ['S', 'B', 'T'] => Some("Senseboard Technologies AB"),
        ['S', 'C', 'A'] => Some("Schneider Consumer Group"),
        ['S', 'C', 'B'] => Some("SeeCubic B.V."),
        ['S', 'C', 'C'] => Some("SORD Computer Corporation"),
        ['S', 'C', 'D'] => Some("Sanyo Electric Company Ltd"),
        ['S', 'C', 'E'] => Some("Sun Corporation"),
        ['S', 'C', 'G'] => Some("Seco S.p.A."),
        ['S', 'C', 'H'] => Some("Schlumberger Cards"),
        ['S', 'C', 'I'] => Some("System Craft"),
        ['S', 'C', 'L'] => Some("Sigmacom Co., Ltd."),
        ['S', 'C', 'M'] => Some("SCM Microsystems Inc"),
        ['S', 'C', 'N'] => Some("Scanport, Inc."),
        ['S', 'C', 'O'] => Some("SORCUS Computer GmbH"),
        ['S', 'C', 'P'] => Some("Scriptel Corporation"),
        ['S', 'C', 'R'] => Some("Systran Corporation"),
        ['S', 'C', 'S'] => Some("Nanomach Anstalt"),
        ['S', 'C', 'T'] => Some("Smart Card Technology"),
        ['S', 'C', 'X'] => Some("Socionext Inc."),
        ['S', 'D', 'A'] => Some("SAT (Societe Anonyme)"),
        ['S', 'D', 'D'] => Some("Intrada-SDD Ltd"),
        ['S', 'D', 'E'] => Some("Sherwood Digital Electronics Corporation"),
        ['S', 'D', 'F'] => Some("SODIFF E&T CO., Ltd."),
        ['S', 'D', 'H'] => Some("Communications Specialies, Inc."),
        ['S', 'D', 'I'] => Some("Samtron Displays Inc"),
        ['S', 'D', 'K'] => Some("SAIT-Devlonics"),
        ['S', 'D', 'R'] => Some("SDR Systems"),
        ['S', 'D', 'S'] => Some("SunRiver Data System"),
        ['S', 'D', 'T'] => Some("Siemens AG"),
        ['S', 'D', 'X'] => Some("SDX Business Systems Ltd"),
        ['S', 'E', 'A'] => Some("Seanix Technology Inc."),
        ['S', 'E', 'B'] => Some("system elektronik GmbH"),
        ['S', 'E', 'C'] => Some("Seiko Epson Corporation"),
        ['S', 'E', 'E'] => Some("SeeColor Corporation"),
        ['S', 'E', 'G'] => Some("DO NOT USE - SEG"),
        ['S', 'E', 'I'] => Some("Seitz & Associates Inc"),
        ['S', 'E', 'L'] => Some("Way2Call Communications"),
        ['S', 'E', 'M'] => Some("Samsung Electronics Company Ltd"),
        ['S', 'E', 'N'] => Some("Sencore"),
        ['S', 'E', 'O'] => Some("SEOS Ltd"),
        ['S', 'E', 'P'] => Some("SEP Eletronica Ltda."),
        ['S', 'E', 'R'] => Some("Sony Ericsson Mobile Communications Inc."),
        ['S', 'E', 'S'] => Some("Session Control LLC"),
        ['S', 'E', 'T'] => Some("SendTek Corporation"),
        ['S', 'F', 'L'] => Some("Shiftall Inc."),
        ['S', 'F', 'M'] => Some("TORNADO Company"),
        ['S', 'F', 'T'] => Some("Mikroforum Ring 3"),
        ['S', 'G', 'C'] => Some("Spectragraphics Corporation"),
        ['S', 'G', 'D'] => Some("Sigma Designs, Inc."),
        ['S', 'G', 'E'] => Some("Kansai Electric Company Ltd"),
        ['S', 'G', 'I'] => Some("Scan Group Ltd"),
        ['S', 'G', 'L'] => Some("Super Gate Technology Company Ltd"),
        ['S', 'G', 'M'] => Some("SAGEM"),
        ['S', 'G', 'O'] => Some("Logos Design A/S"),
        ['S', 'G', 'T'] => Some("Stargate Technology"),
        ['S', 'G', 'W'] => Some("Shanghai Guowei Science and Technology Co., Ltd."),
        ['S', 'G', 'X'] => Some("Silicon Graphics Inc"),
        ['S', 'G', 'Z'] => Some("Systec Computer GmbH"),
        ['S', 'H', 'C'] => Some("ShibaSoku Co., Ltd."),
        ['S', 'H', 'G'] => Some("Soft & Hardware development Goldammer GmbH"),
        ['S', 'H', 'I'] => Some("Jiangsu Shinco Electronic Group Co., Ltd"),
        ['S', 'H', 'P'] => Some("Sharp Corporation"),
        ['S', 'H', 'R'] => Some("Digital Discovery"),
        ['S', 'H', 'T'] => Some("Shin Ho Tech"),
        ['S', 'I', 'A'] => Some("SIEMENS AG"),
        ['S', 'I', 'B'] => Some("Sanyo Electric Company Ltd"),
        ['S', 'I', 'C'] => Some("Sysmate Corporation"),
        ['S', 'I', 'D'] => Some("Seiko Instruments Information Devices Inc"),
        ['S', 'I', 'E'] => Some("Siemens"),
        ['S', 'I', 'G'] => Some("Sigma Designs Inc"),
        ['S', 'I', 'I'] => Some("Silicon Image, Inc."),
        ['S', 'I', 'L'] => Some("Silicon Laboratories, Inc"),
        ['S', 'I', 'M'] => Some("S3 Inc"),
        ['S', 'I', 'N'] => Some("Singular Technology Co., Ltd."),
        ['S', 'I', 'R'] => Some("Sirius Technologies Pty Ltd"),
        ['S', 'I', 'S'] => Some("Silicon Integrated Systems Corporation"),
        ['S', 'I', 'T'] => Some("Sitintel"),
        ['S', 'I', 'U'] => Some("Seiko Instruments USA Inc"),
        ['S', 'I', 'X'] => Some("Zuniq Data Corporation"),
        ['S', 'J', 'E'] => Some("Sejin Electron Inc"),
        ['S', 'K', 'D'] => Some("Schneider & Koch"),
        ['S', 'K', 'G'] => Some("Shenzhen KTC Technology Group"),
        ['S', 'K', 'I'] => Some("LLC SKTB “SKIT”"),
        ['S', 'K', 'M'] => Some("Guangzhou Teclast Information Technology Limited"),
        ['S', 'K', 'T'] => Some("Samsung Electro-Mechanics Company Ltd"),
        ['S', 'K', 'W'] => Some("Skyworth"),
        ['S', 'K', 'Y'] => Some("SKYDATA S.P.A."),
        ['S', 'L', 'A'] => Some("Systeme Lauer GmbH&Co KG"),
        ['S', 'L', 'B'] => Some("Shlumberger Ltd"),
        ['S', 'L', 'C'] => Some("Syslogic Datentechnik AG"),
        ['S', 'L', 'F'] => Some("StarLeaf"),
        ['S', 'L', 'H'] => Some("Silicon Library Inc."),
        ['S', 'L', 'I'] => Some("Symbios Logic Inc"),
        ['S', 'L', 'K'] => Some("Silitek Corporation"),
        ['S', 'L', 'M'] => Some("Solomon Technology Corporation"),
        ['S', 'L', 'R'] => Some("Schlumberger Technology Corporate"),
        ['S', 'L', 'S'] => Some("Schnick-Schnack-Systems GmbH"),
        ['S', 'L', 'T'] => Some("Salt Internatioinal Corp."),
        ['S', 'L', 'X'] => Some("Specialix"),
        ['S', 'M', 'A'] => Some("SMART Modular Technologies"),
        ['S', 'M', 'B'] => Some("Schlumberger"),
        ['S', 'M', 'C'] => Some("Standard Microsystems Corporation"),
        ['S', 'M', 'E'] => Some("Sysmate Company"),
        ['S', 'M', 'I'] => Some("SpaceLabs Medical Inc"),
        ['S', 'M', 'K'] => Some("SMK CORPORATION"),
        ['S', 'M', 'L'] => Some("Sumitomo Metal Industries, Ltd."),
        ['S', 'M', 'M'] => Some("Shark Multimedia Inc"),
        ['S', 'M', 'O'] => Some("STMicroelectronics"),
        ['S', 'M', 'P'] => Some("Simple Computing"),
        ['S', 'M', 'R'] => Some("B.& V. s.r.l."),
        ['S', 'M', 'S'] => Some("Silicom Multimedia Systems Inc"),
        ['S', 'M', 'T'] => Some("Silcom Manufacturing Tech Inc"),
        ['S', 'N', 'C'] => Some("Sentronic International Corp."),
        ['S', 'N', 'I'] => Some("Siemens Microdesign GmbH"),
        ['S', 'N', 'K'] => Some("S&K Electronics"),
        ['S', 'N', 'N'] => Some("SUNNY ELEKTRONIK"),
        ['S', 'N', 'O'] => Some("SINOSUN TECHNOLOGY CO., LTD"),
        ['S', 'N', 'P'] => Some("Siemens Nixdorf Info Systems"),
        ['S', 'N', 'S'] => Some("Cirtech (UK) Ltd"),
        ['S', 'N', 'T'] => Some("SuperNet Inc"),
        ['S', 'N', 'V'] => Some("SONOVE GmbH"),
        ['S', 'N', 'W'] => Some("Snell & Wilcox"),
        ['S', 'N', 'X'] => Some("Sonix Comm. Ltd"),
        ['S', 'N', 'Y'] => Some("Sony"),
        ['S', 'O', 'C'] => Some("Santec Corporation"),
        ['S', 'O', 'I'] => Some("Silicon Optix Corporation"),
        ['S', 'O', 'L'] => Some("Solitron Technologies Inc"),
        ['S', 'O', 'N'] => Some("Sony"),
        ['S', 'O', 'R'] => Some("Sorcus Computer GmbH"),
        ['S', 'O', 'T'] => Some("Sotec Company Ltd"),
        ['S', 'O', 'Y'] => Some("SOYO Group, Inc"),
        ['S', 'P', 'C'] => Some("SpinCore Technologies, Inc"),
        ['S', 'P', 'E'] => Some("SPEA Software AG"),
        ['S', 'P', 'H'] => Some("G&W Instruments GmbH"),
        ['S', 'P', 'I'] => Some("SPACE-I Co., Ltd."),
        ['S', 'P', 'K'] => Some("SpeakerCraft"),
        ['S', 'P', 'L'] => Some("Smart Silicon Systems Pty Ltd"),
        ['S', 'P', 'N'] => Some("Sapience Corporation"),
        ['S', 'P', 'O'] => Some("SAMPO CORPORATION"),
        ['S', 'P', 'R'] => Some("pmns GmbH"),
        ['S', 'P', 'S'] => Some("Synopsys Inc"),
        ['S', 'P', 'T'] => Some("Sceptre Tech Inc"),
        ['S', 'P', 'U'] => Some("SIM2 Multimedia S.P.A."),
        ['S', 'P', 'X'] => Some("Simplex Time Recorder Co."),
        ['S', 'Q', 'T'] => Some("Sequent Computer Systems Inc"),
        ['S', 'R', 'C'] => Some("Integrated Tech Express Inc"),
        ['S', 'R', 'D'] => Some("Setred"),
        ['S', 'R', 'F'] => Some("Surf Communication Solutions Ltd"),
        ['S', 'R', 'G'] => Some("Intuitive Surgical, Inc."),
        ['S', 'R', 'S'] => Some("SR-Systems e.K."),
        ['S', 'R', 'T'] => Some("SeeReal Technologies GmbH"),
        ['S', 'S', 'C'] => Some("Sierra Semiconductor Inc"),
        ['S', 'S', 'D'] => Some("FlightSafety International"),
        ['S', 'S', 'E'] => Some("Samsung Electronic Co."),
        ['S', 'S', 'I'] => Some("S-S Technology Inc"),
        ['S', 'S', 'J'] => Some("Sankyo Seiki Mfg.co., Ltd"),
        ['S', 'S', 'L'] => Some("Shenzhen South-Top Computer Co., Ltd."),
        ['S', 'S', 'P'] => Some("Spectrum Signal Proecessing Inc"),
        ['S', 'S', 'S'] => Some("S3 Inc"),
        ['S', 'S', 'T'] => Some("SystemSoft Corporation"),
        ['S', 'T', 'A'] => Some("ST Electronics Systems Assembly Pte Ltd"),
        ['S', 'T', 'B'] => Some("STB Systems Inc"),
        ['S', 'T', 'C'] => Some("STAC Electronics"),
        ['S', 'T', 'D'] => Some("STD Computer Inc"),
        ['S', 'T', 'E'] => Some("SII Ido-Tsushin Inc"),
        ['S', 'T', 'F'] => Some("Starflight Electronics"),
        ['S', 'T', 'G'] => Some("StereoGraphics Corp."),
        ['S', 'T', 'H'] => Some("Semtech Corporation"),
        ['S', 'T', 'I'] => Some("Smart Tech Inc"),
        ['S', 'T', 'K'] => Some("SANTAK CORP."),
        ['S', 'T', 'L'] => Some("SigmaTel Inc"),
        ['S', 'T', 'M'] => Some("SGS Thomson Microelectronics"),
        ['S', 'T', 'N'] => Some("Samsung Electronics America"),
        ['S', 'T', 'O'] => Some("Stollmann E+V GmbH"),
        ['S', 'T', 'P'] => Some("StreamPlay Ltd"),
        ['S', 'T', 'Q'] => Some("Synthetel Corporation"),
        ['S', 'T', 'R'] => Some("Starlight Networks Inc"),
        ['S', 'T', 'S'] => Some("SITECSYSTEM CO., LTD."),
        ['S', 'T', 'T'] => Some("Star Paging Telecom Tech (Shenzhen) Co. Ltd."),
        ['S', 'T', 'U'] => Some("Sentelic Corporation"),
        ['S', 'T', 'V'] => Some("Beijing Guochengwantong Information Technology Co., Ltd."),
        ['S', 'T', 'W'] => Some("Starwin Inc."),
        ['S', 'T', 'X'] => Some("ST-Ericsson"),
        ['S', 'T', 'Y'] => Some("SDS Technologies"),
        ['S', 'U', 'B'] => Some("Subspace Comm. Inc"),
        ['S', 'U', 'M'] => Some("Summagraphics Corporation"),
        ['S', 'U', 'N'] => Some("Sun Electronics Corporation"),
        ['S', 'U', 'P'] => Some("Supra Corporation"),
        ['S', 'U', 'R'] => Some("Surenam Computer Corporation"),
        ['S', 'V', 'A'] => Some("SGEG"),
        ['S', 'V', 'C'] => Some("Intellix Corp."),
        ['S', 'V', 'D'] => Some("SVD Computer"),
        ['S', 'V', 'I'] => Some("Sun Microsystems"),
        ['S', 'V', 'R'] => Some("Sensics, Inc."),
        ['S', 'V', 'S'] => Some("SVSI"),
        ['S', 'V', 'T'] => Some("SEVIT Co., Ltd."),
        ['S', 'W', 'C'] => Some("Software Café"),
        ['S', 'W', 'I'] => Some("Sierra Wireless Inc."),
        ['S', 'W', 'L'] => Some("Sharedware Ltd"),
        ['S', 'W', 'O'] => Some("Guangzhou Shirui Electronics Co., Ltd."),
        ['S', 'W', 'S'] => Some("Static"),
        ['S', 'W', 'T'] => Some("Software Technologies Group,Inc."),
        ['S', 'X', 'B'] => Some("Syntax-Brillian"),
        ['S', 'X', 'D'] => Some("Silex technology, Inc."),
        ['S', 'X', 'G'] => Some("SELEX GALILEO"),
        ['S', 'X', 'I'] => Some("Silex Inside"),
        ['S', 'X', 'L'] => Some("SolutionInside"),
        ['S', 'X', 'T'] => Some("SHARP TAKAYA ELECTRONIC INDUSTRY CO.,LTD."),
        ['S', 'Y', 'C'] => Some("Sysmic"),
        ['S', 'Y', 'E'] => Some("SY Electronics Ltd"),
        ['S', 'Y', 'K'] => Some("Stryker Communications"),
        ['S', 'Y', 'L'] => Some("Sylvania Computer Products"),
        ['S', 'Y', 'M'] => Some("Symicron Computer Communications Ltd."),
        ['S', 'Y', 'N'] => Some("Synaptics Inc"),
        ['S', 'Y', 'P'] => Some("SYPRO Co Ltd"),
        ['S', 'Y', 'S'] => Some("Sysgration Ltd"),
        ['S', 'Y', 'T'] => Some("Seyeon Tech Company Ltd"),
        ['S', 'Y', 'V'] => Some("SYVAX Inc"),
        ['S', 'Y', 'X'] => Some("Prime Systems, Inc."),
        ['S', 'Z', 'M'] => Some("Shenzhen MTC Co., Ltd"),
        ['T', 'A', 'A'] => Some("Tandberg"),
        ['T', 'A', 'B'] => Some("Todos Data System AB"),
        ['T', 'A', 'G'] => Some("Teles AG"),
        ['T', 'A', 'I'] => Some("Toshiba America Info Systems Inc"),
        ['T', 'A', 'M'] => Some("Tamura Seisakusyo Ltd"),
        ['T', 'A', 'S'] => Some("Taskit Rechnertechnik GmbH"),
        ['T', 'A', 'T'] => Some("Teleliaison Inc"),
        ['T', 'A', 'V'] => Some("Thales Avionics"),
        ['T', 'A', 'X'] => Some("Taxan (Europe) Ltd"),
        ['T', 'B', 'B'] => Some("Triple S Engineering Inc"),
        ['T', 'B', 'C'] => Some("Turbo Communication, Inc"),
        ['T', 'B', 'S'] => Some("Turtle Beach System"),
        ['T', 'C', 'C'] => Some("Tandon Corporation"),
        ['T', 'C', 'D'] => Some("Taicom Data Systems Co., Ltd."),
        ['T', 'C', 'E'] => Some("Century Corporation"),
        ['T', 'C', 'F'] => Some("Televic Conference"),
        ['T', 'C', 'H'] => Some("Interaction Systems, Inc"),
        ['T', 'C', 'I'] => Some("Tulip Computers Int'l B.V."),
        ['T', 'C', 'J'] => Some("TEAC America Inc"),
        ['T', 'C', 'L'] => Some("Technical Concepts Ltd"),
        ['T', 'C', 'M'] => Some("3Com Corporation"),
        ['T', 'C', 'N'] => Some("Tecnetics (PTY) Ltd"),
        ['T', 'C', 'O'] => Some("Thomas-Conrad Corporation"),
        ['T', 'C', 'R'] => Some("Thomson Consumer Electronics"),
        ['T', 'C', 'S'] => Some("Tatung Company of America Inc"),
        ['T', 'C', 'T'] => Some("Telecom Technology Centre Co. Ltd."),
        ['T', 'C', 'X'] => Some("FREEMARS Heavy Industries"),
        ['T', 'D', 'C'] => Some("Teradici"),
        ['T', 'D', 'D'] => Some("Tandberg Data Display AS"),
        ['T', 'D', 'G'] => Some("Six15 Technologies"),
        ['T', 'D', 'M'] => Some("Tandem Computer Europe Inc"),
        ['T', 'D', 'P'] => Some("3D Perception"),
        ['T', 'D', 'S'] => Some("Tri-Data Systems Inc"),
        ['T', 'D', 'T'] => Some("TDT"),
        ['T', 'D', 'V'] => Some("TDVision Systems, Inc."),
        ['T', 'D', 'Y'] => Some("Tandy Electronics"),
        ['T', 'E', 'A'] => Some("TEAC System Corporation"),
        ['T', 'E', 'C'] => Some("Tecmar Inc"),
        ['T', 'E', 'K'] => Some("Tektronix Inc"),
        ['T', 'E', 'L'] => Some("Promotion and Display Technology Ltd."),
        ['T', 'E', 'N'] => Some("Tencent"),
        ['T', 'E', 'R'] => Some("TerraTec Electronic GmbH"),
        ['T', 'E', 'T'] => Some("TETRADYNE CO., LTD."),
        ['T', 'E', 'V'] => Some("Televés, S.A."),
        ['T', 'E', 'Z'] => Some("Tech Source Inc."),
        ['T', 'G', 'C'] => Some("Toshiba Global Commerce Solutions, Inc."),
        ['T', 'G', 'I'] => Some("TriGem Computer Inc"),
        ['T', 'G', 'M'] => Some("TriGem Computer,Inc."),
        ['T', 'G', 'S'] => Some("Torus Systems Ltd"),
        ['T', 'G', 'V'] => Some("Grass Valley Germany GmbH"),
        ['T', 'G', 'W'] => Some("TECHNOGYM S.p.A."),
        ['T', 'H', 'N'] => Some("Thundercom Holdings Sdn. Bhd."),
        ['T', 'I', 'C'] => Some("Trigem KinfoComm"),
        ['T', 'I', 'L'] => Some("Technical Illusions Inc."),
        ['T', 'I', 'P'] => Some("TIPTEL AG"),
        ['T', 'I', 'V'] => Some("OOO Technoinvest"),
        ['T', 'I', 'X'] => Some("Tixi.Com GmbH"),
        ['T', 'K', 'C'] => Some("Taiko Electric Works.LTD"),
        ['T', 'K', 'G'] => Some("Tek Gear"),
        ['T', 'K', 'N'] => Some("Teknor Microsystem Inc"),
        ['T', 'K', 'O'] => Some("TouchKo, Inc."),
        ['T', 'K', 'S'] => Some("TimeKeeping Systems, Inc."),
        ['T', 'L', 'A'] => Some("Ferrari Electronic GmbH"),
        ['T', 'L', 'D'] => Some("Telindus"),
        ['T', 'L', 'E'] => Some("Zhejiang Tianle Digital Electric Co., Ltd."),
        ['T', 'L', 'F'] => Some("Teleforce.,co,ltd"),
        ['T', 'L', 'I'] => Some("TOSHIBA TELI CORPORATION"),
        ['T', 'L', 'K'] => Some("Telelink AG"),
        ['T', 'L', 'L'] => Some("Thinklogical"),
        ['T', 'L', 'N'] => Some("Techlogix Networx"),
        ['T', 'L', 'S'] => Some("Teleste Educational OY"),
        ['T', 'L', 'T'] => Some("Dai Telecom S.p.A."),
        ['T', 'L', 'V'] => Some("S3 Inc"),
        ['T', 'L', 'X'] => Some("Telxon Corporation"),
        ['T', 'L', 'Y'] => Some("Truly Semiconductors Ltd."),
        ['T', 'M', 'C'] => Some("Techmedia Computer Systems Corporation"),
        ['T', 'M', 'E'] => Some("AT&T Microelectronics"),
        ['T', 'M', 'I'] => Some("Texas Microsystem"),
        ['T', 'M', 'M'] => Some("Time Management, Inc."),
        ['T', 'M', 'O'] => Some("Terumo Corporation"),
        ['T', 'M', 'R'] => Some("Taicom International Inc"),
        ['T', 'M', 'S'] => Some("Trident Microsystems Ltd"),
        ['T', 'M', 'T'] => Some("T-Metrics Inc."),
        ['T', 'M', 'X'] => Some("Thermotrex Corporation"),
        ['T', 'N', 'C'] => Some("TNC Industrial Company Ltd"),
        ['T', 'N', 'J'] => Some("DO NOT USE - TNJ"),
        ['T', 'N', 'M'] => Some("TECNIMAGEN SA"),
        ['T', 'N', 'Y'] => Some("Tennyson Tech Pty Ltd"),
        ['T', 'O', 'E'] => Some("TOEI Electronics Co., Ltd."),
        ['T', 'O', 'G'] => Some("The OPEN Group"),
        ['T', 'O', 'L'] => Some("TCL Corporation"),
        ['T', 'O', 'M'] => Some("Ceton Corporation"),
        ['T', 'O', 'N'] => Some("TONNA"),
        ['T', 'O', 'P'] => Some("Orion Communications Co., Ltd."),
        ['T', 'O', 'S'] => Some("Dynabook Inc."),
        ['T', 'O', 'U'] => Some("Touchstone Technology"),
        ['T', 'P', 'C'] => Some("Touch Panel Systems Corporation"),
        ['T', 'P', 'D'] => Some("Times (Shanghai) Computer Co., Ltd."),
        ['T', 'P', 'E'] => Some("Technology Power Enterprises Inc"),
        ['T', 'P', 'J'] => Some("Junnila"),
        ['T', 'P', 'K'] => Some("TOPRE CORPORATION"),
        ['T', 'P', 'R'] => Some("Topro Technology Inc"),
        ['T', 'P', 'S'] => Some("Teleprocessing Systeme GmbH"),
        ['T', 'P', 'T'] => Some("Thruput Ltd"),
        ['T', 'P', 'V'] => Some("Top Victory Electronics ( Fujian ) Company Ltd"),
        ['T', 'P', 'Z'] => Some("Ypoaz Systems Inc"),
        ['T', 'R', 'A'] => Some("TriTech Microelectronics International"),
        ['T', 'R', 'B'] => Some("Triumph Board a.s."),
        ['T', 'R', 'C'] => Some("Trioc AB"),
        ['T', 'R', 'D'] => Some("Trident Microsystem Inc"),
        ['T', 'R', 'E'] => Some("Tremetrics"),
        ['T', 'R', 'I'] => Some("Tricord Systems"),
        ['T', 'R', 'L'] => Some("Royal Information"),
        ['T', 'R', 'M'] => Some("Tekram Technology Company Ltd"),
        ['T', 'R', 'N'] => Some("Datacommunicatie Tron B.V."),
        ['T', 'R', 'P'] => Some("TRAPEZE GROUP"),
        ['T', 'R', 'S'] => Some("Torus Systems Ltd"),
        ['T', 'R', 'T'] => Some("Tritec Electronic AG"),
        ['T', 'R', 'U'] => Some("Aashima Technology B.V."),
        ['T', 'R', 'V'] => Some("Trivisio Prototyping GmbH"),
        ['T', 'R', 'X'] => Some("Trex Enterprises"),
        ['T', 'S', 'B'] => Some("Toshiba America Info Systems Inc"),
        ['T', 'S', 'C'] => Some("Sanyo Electric Company Ltd"),
        ['T', 'S', 'D'] => Some("TechniSat Digital GmbH"),
        ['T', 'S', 'E'] => Some("Tottori Sanyo Electric"),
        ['T', 'S', 'F'] => Some("Racal-Airtech Software Forge Ltd"),
        ['T', 'S', 'G'] => Some("The Software Group Ltd"),
        ['T', 'S', 'H'] => Some("ELAN MICROELECTRONICS CORPORATION"),
        ['T', 'S', 'I'] => Some("TeleVideo Systems"),
        ['T', 'S', 'L'] => Some("Tottori SANYO Electric Co., Ltd."),
        ['T', 'S', 'P'] => Some("U.S. Navy"),
        ['T', 'S', 'T'] => Some("Transtream Inc"),
        ['T', 'S', 'V'] => Some("TRANSVIDEO"),
        ['T', 'S', 'W'] => Some("VRSHOW Technology Limited"),
        ['T', 'S', 'Y'] => Some("TouchSystems"),
        ['T', 'T', 'A'] => Some("Topson Technology Co., Ltd."),
        ['T', 'T', 'B'] => Some("National Semiconductor Japan Ltd"),
        ['T', 'T', 'C'] => Some("Telecommunications Techniques Corporation"),
        ['T', 'T', 'E'] => Some("TTE, Inc."),
        ['T', 'T', 'I'] => Some("Trenton Terminals Inc"),
        ['T', 'T', 'K'] => Some("Totoku Electric Company Ltd"),
        ['T', 'T', 'L'] => Some("2-Tel B.V"),
        ['T', 'T', 'P'] => Some("Toshiba Corporation"),
        ['T', 'T', 'R'] => Some("Hubei Century Joint Innovation Technology Co.Ltd"),
        ['T', 'T', 'S'] => Some("TechnoTrend Systemtechnik GmbH"),
        ['T', 'T', 'X'] => Some("Taitex Corporation"),
        ['T', 'T', 'Y'] => Some("TRIDELITY Display Solutions GmbH"),
        ['T', 'U', 'A'] => Some("T+A elektroakustik GmbH"),
        ['T', 'U', 'T'] => Some("Tut Systems"),
        ['T', 'V', 'D'] => Some("Tecnovision"),
        ['T', 'V', 'I'] => Some("Truevision"),
        ['T', 'V', 'L'] => Some("Total Vision LTD"),
        ['T', 'V', 'M'] => Some("Taiwan Video & Monitor Corporation"),
        ['T', 'V', 'O'] => Some("TV One Ltd"),
        ['T', 'V', 'R'] => Some("TV Interactive Corporation"),
        ['T', 'V', 'S'] => Some("TVS Electronics Limited"),
        ['T', 'V', 'V'] => Some("TV1 GmbH"),
        ['T', 'W', 'A'] => Some("Tidewater Association"),
        ['T', 'W', 'E'] => Some("Kontron Electronik"),
        ['T', 'W', 'H'] => Some("Twinhead International Corporation"),
        ['T', 'W', 'I'] => Some("Easytel oy"),
        ['T', 'W', 'K'] => Some("TOWITOKO electronics GmbH"),
        ['T', 'W', 'X'] => Some("TEKWorx Limited"),
        ['T', 'X', 'L'] => Some("Trixel Ltd"),
        ['T', 'X', 'N'] => Some("Texas Insturments"),
        ['T', 'X', 'T'] => Some("Textron Defense System"),
        ['T', 'Y', 'N'] => Some("Tyan Computer Corporation"),
        ['U', 'A', 'S'] => Some("Ultima Associates Pte Ltd"),
        ['U', 'B', 'I'] => Some("Ungermann-Bass Inc"),
        ['U', 'B', 'L'] => Some("Ubinetics Ltd."),
        ['U', 'B', 'U'] => Some("Canonical Ltd."),
        ['U', 'D', 'N'] => Some("Uniden Corporation"),
        ['U', 'E', 'C'] => Some("Ultima Electronics Corporation"),
        ['U', 'E', 'G'] => Some("Elitegroup Computer Systems Company Ltd"),
        ['U', 'E', 'I'] => Some("Universal Electronics Inc"),
        ['U', 'E', 'T'] => Some("Universal Empowering Technologies"),
        ['U', 'F', 'G'] => Some("UNIGRAF-USA"),
        ['U', 'F', 'O'] => Some("UFO Systems Inc"),
        ['U', 'H', 'B'] => Some("XOCECO"),
        ['U', 'I', 'C'] => Some("Uniform Industrial Corporation"),
        ['U', 'J', 'R'] => Some("Ueda Japan Radio Co., Ltd."),
        ['U', 'L', 'T'] => Some("Ultra Network Tech"),
        ['U', 'M', 'C'] => Some("United Microelectr Corporation"),
        ['U', 'M', 'G'] => Some("Umezawa Giken Co.,Ltd"),
        ['U', 'M', 'M'] => Some("Universal Multimedia"),
        ['U', 'M', 'T'] => Some("UltiMachine"),
        ['U', 'N', 'A'] => Some("Unisys DSD"),
        ['U', 'N', 'B'] => Some("Unisys Corporation"),
        ['U', 'N', 'C'] => Some("Unisys Corporation"),
        ['U', 'N', 'D'] => Some("Unisys Corporation"),
        ['U', 'N', 'E'] => Some("Unisys Corporation"),
        ['U', 'N', 'F'] => Some("Unisys Corporation"),
        ['U', 'N', 'I'] => Some("Uniform Industry Corp."),
        ['U', 'N', 'M'] => Some("Unisys Corporation"),
        ['U', 'N', 'O'] => Some("Unisys Corporation"),
        ['U', 'N', 'P'] => Some("Unitop"),
        ['U', 'N', 'S'] => Some("Unisys Corporation"),
        ['U', 'N', 'T'] => Some("Unisys Corporation"),
        ['U', 'N', 'Y'] => Some("Unicate"),
        ['U', 'P', 'P'] => Some("UPPI"),
        ['U', 'P', 'S'] => Some("Systems Enhancement"),
        ['U', 'R', 'D'] => Some("Video Computer S.p.A."),
        ['U', 'S', 'A'] => Some("Utimaco Safeware AG"),
        ['U', 'S', 'D'] => Some("U.S. Digital Corporation"),
        ['U', 'S', 'E'] => Some("U. S. Electronics Inc."),
        ['U', 'S', 'I'] => Some("Universal Scientific Industrial Co., Ltd."),
        ['U', 'S', 'R'] => Some("U.S. Robotics Inc"),
        ['U', 'T', 'C'] => Some("Unicompute Technology Co., Ltd."),
        ['U', 'T', 'D'] => Some("Up to Date Tech"),
        ['U', 'W', 'C'] => Some("Uniwill Computer Corp."),
        ['V', 'A', 'D'] => Some("Vaddio, LLC"),
        ['V', 'A', 'I'] => Some("VAIO Corporation"),
        ['V', 'A', 'L'] => Some("Valence Computing Corporation"),
        ['V', 'A', 'R'] => Some("Varian Australia Pty Ltd"),
        ['V', 'A', 'T'] => Some("VADATECH INC"),
        ['V', 'A', 'V'] => Some("aviica"),
        ['V', 'B', 'R'] => Some("VBrick Systems Inc."),
        ['V', 'B', 'T'] => Some("Valley Board Ltda"),
        ['V', 'C', 'C'] => Some("Virtual Computer Corporation"),
        ['V', 'C', 'E'] => Some("VARCem"),
        ['V', 'C', 'I'] => Some("VistaCom Inc"),
        ['V', 'C', 'J'] => Some("Victor Company of Japan, Limited"),
        ['V', 'C', 'M'] => Some("Vector Magnetics, LLC"),
        ['V', 'C', 'X'] => Some("VCONEX"),
        ['V', 'D', 'A'] => Some("Victor Data Systems"),
        ['V', 'D', 'C'] => Some("VDC Display Systems"),
        ['V', 'D', 'M'] => Some("Vadem"),
        ['V', 'D', 'O'] => Some("Video & Display Oriented Corporation"),
        ['V', 'D', 'S'] => Some("Vidisys GmbH & Company"),
        ['V', 'D', 'T'] => Some("Viditec, Inc."),
        ['V', 'E', 'C'] => Some("Vector Informatik GmbH"),
        ['V', 'E', 'K'] => Some("Vektrex"),
        ['V', 'E', 'S'] => Some("Vestel Elektronik Sanayi ve Ticaret A. S."),
        ['V', 'F', 'I'] => Some("VeriFone Inc"),
        ['V', 'H', 'I'] => Some("Macrocad Development Inc."),
        ['V', 'I', 'A'] => Some("VIA Tech Inc"),
        ['V', 'I', 'B'] => Some("Tatung UK Ltd"),
        ['V', 'I', 'C'] => Some("Victron B.V."),
        ['V', 'I', 'D'] => Some("Ingram Macrotron Germany"),
        ['V', 'I', 'K'] => Some("Viking Connectors"),
        ['V', 'I', 'M'] => Some("Via Mons Ltd."),
        ['V', 'I', 'N'] => Some("Vine Micros Ltd"),
        ['V', 'I', 'O'] => Some("Zake IP Holdings LLC (3B tech)"),
        ['V', 'I', 'R'] => Some("Visual Interface, Inc"),
        ['V', 'I', 'S'] => Some("Visioneer"),
        ['V', 'I', 'T'] => Some("Visitech AS"),
        ['V', 'I', 'Z'] => Some("VIZIO, Inc"),
        ['V', 'L', 'B'] => Some("ValleyBoard Ltda."),
        ['V', 'L', 'C'] => Some("VersaLogic Corporation"),
        ['V', 'L', 'K'] => Some("Vislink International Ltd"),
        ['V', 'L', 'M'] => Some("LENOVO BEIJING CO. LTD."),
        ['V', 'L', 'T'] => Some("VideoLan Technologies"),
        ['V', 'L', 'V'] => Some("Valve Corporation"),
        ['V', 'M', 'I'] => Some("Vermont Microsystems"),
        ['V', 'M', 'L'] => Some("Vine Micros Limited"),
        ['V', 'M', 'W'] => Some("VMware Inc.,"),
        ['V', 'N', 'C'] => Some("Vinca Corporation"),
        ['V', 'N', 'X'] => Some("Venetex Corporation"),
        ['V', 'O', 'B'] => Some("MaxData Computer AG"),
        ['V', 'P', 'I'] => Some("Video Products Inc"),
        ['V', 'P', 'R'] => Some("Best Buy"),
        ['V', 'P', 'X'] => Some("VPixx Technologies Inc."),
        ['V', 'Q', '@'] => Some("Vision Quest"),
        ['V', 'R', 'C'] => Some("Virtual Resources Corporation"),
        ['V', 'R', 'G'] => Some("VRgineers, Inc."),
        ['V', 'R', 'M'] => Some("VRmagic Holding AG"),
        ['V', 'R', 'S'] => Some("VRstudios, Inc."),
        ['V', 'R', 'T'] => Some("Varjo Technologies"),
        ['V', 'S', 'C'] => Some("ViewSonic Corporation"),
        ['V', 'S', 'D'] => Some("3M"),
        ['V', 'S', 'I'] => Some("VideoServer"),
        ['V', 'S', 'N'] => Some("Ingram Macrotron"),
        ['V', 'S', 'P'] => Some("Vision Systems GmbH"),
        ['V', 'S', 'R'] => Some("V-Star Electronics Inc."),
        ['V', 'T', 'B'] => Some("Videotechnik Breithaupt"),
        ['V', 'T', 'C'] => Some("VTel Corporation"),
        ['V', 'T', 'G'] => Some("Voice Technologies Group Inc"),
        ['V', 'T', 'I'] => Some("VLSI Tech Inc"),
        ['V', 'T', 'K'] => Some("Viewteck Co., Ltd."),
        ['V', 'T', 'L'] => Some("Vivid Technology Pte Ltd"),
        ['V', 'T', 'M'] => Some("Miltope Corporation"),
        ['V', 'T', 'N'] => Some("VIDEOTRON CORP."),
        ['V', 'T', 'S'] => Some("VTech Computers Ltd"),
        ['V', 'T', 'V'] => Some("VATIV Technologies"),
        ['V', 'T', 'X'] => Some("Vestax Corporation"),
        ['V', 'U', 'T'] => Some("Vutrix (UK) Ltd"),
        ['V', 'W', 'B'] => Some("Vweb Corp."),
        ['W', 'A', 'C'] => Some("Wacom Tech"),
        ['W', 'A', 'L'] => Some("Wave Access"),
        ['W', 'A', 'N'] => Some("DO NOT USE - WAN"),
        ['W', 'A', 'V'] => Some("Wavephore"),
        ['W', 'B', 'N'] => Some("MicroSoftWare"),
        ['W', 'B', 'S'] => Some("WB Systemtechnik GmbH"),
        ['W', 'C', 'I'] => Some("Wisecom Inc"),
        ['W', 'C', 'S'] => Some("Woodwind Communications Systems Inc"),
        ['W', 'D', 'C'] => Some("Western Digital"),
        ['W', 'D', 'E'] => Some("Westinghouse Digital Electronics"),
        ['W', 'E', 'B'] => Some("WebGear Inc"),
        ['W', 'E', 'C'] => Some("Winbond Electronics Corporation"),
        ['W', 'E', 'L'] => Some("W-DEV"),
        ['W', 'E', 'Y'] => Some("WEY Design AG"),
        ['W', 'H', 'I'] => Some("Whistle Communications"),
        ['W', 'I', 'I'] => Some("Innoware Inc"),
        ['W', 'I', 'L'] => Some("WIPRO Information Technology Ltd"),
        ['W', 'I', 'N'] => Some("Wintop Technology Inc"),
        ['W', 'I', 'P'] => Some("Wipro Infotech"),
        ['W', 'K', 'H'] => Some("Uni-Take Int'l Inc."),
        ['W', 'L', 'D'] => Some("Wildfire Communications Inc"),
        ['W', 'L', 'F'] => Some("WOLF Advanced Technology"),
        ['W', 'M', 'L'] => Some("Wolfson Microelectronics Ltd"),
        ['W', 'M', 'O'] => Some("Westermo Teleindustri AB"),
        ['W', 'M', 'T'] => Some("Winmate Communication Inc"),
        ['W', 'N', 'I'] => Some("WillNet Inc."),
        ['W', 'N', 'V'] => Some("Winnov L.P."),
        ['W', 'N', 'X'] => Some("Diebold Nixdorf Systems GmbH"),
        ['W', 'P', 'A'] => Some("Matsushita Communication Industrial Co., Ltd."),
        ['W', 'P', 'I'] => Some("Wearnes Peripherals International (Pte) Ltd"),
        ['W', 'R', 'C'] => Some("WiNRADiO Communications"),
        ['W', 'S', 'C'] => Some("CIS Technology Inc"),
        ['W', 'S', 'P'] => Some("Wireless And Smart Products Inc."),
        ['W', 'S', 'T'] => Some("Wistron Corporation"),
        ['W', 'T', 'C'] => Some("ACC Microelectronics"),
        ['W', 'T', 'I'] => Some("WorkStation Tech"),
        ['W', 'T', 'K'] => Some("Wearnes Thakral Pte"),
        ['W', 'T', 'S'] => Some("Restek Electric Company Ltd"),
        ['W', 'V', 'M'] => Some("Wave Systems Corporation"),
        ['W', 'V', 'V'] => Some("WolfVision GmbH"),
        ['W', 'W', 'P'] => Some("Wipotec Wiege- und Positioniersysteme GmbH"),
        ['W', 'W', 'V'] => Some("World Wide Video, Inc."),
        ['W', 'X', 'T'] => Some("Woxter Technology Co. Ltd"),
        ['W', 'Y', 'R'] => Some("WyreStorm Technologies LLC"),
        ['W', 'Y', 'S'] => Some("Wyse Technology"),
        ['W', 'Y', 'T'] => Some("Wooyoung Image & Information Co.,Ltd."),
        ['X', 'A', 'C'] => Some("XAC Automation Corp"),
        ['X', 'A', 'D'] => Some("Alpha Data"),
        ['X', 'D', 'M'] => Some("XDM Ltd."),
        ['X', 'E', 'R'] => Some("DO NOT USE - XER"),
        ['X', 'E', 'S'] => Some("Extreme Engineering Solutions, Inc."),
        ['X', 'F', 'G'] => Some("Jan Strapko - FOTO"),
        ['X', 'F', 'O'] => Some("EXFO Electro Optical Engineering"),
        ['X', 'I', 'N'] => Some("Xinex Networks Inc"),
        ['X', 'I', 'O'] => Some("Xiotech Corporation"),
        ['X', 'I', 'R'] => Some("Xirocm Inc"),
        ['X', 'I', 'T'] => Some("Xitel Pty ltd"),
        ['X', 'L', 'X'] => Some("Xilinx, Inc."),
        ['X', 'M', 'M'] => Some("C3PO S.L."),
        ['X', 'N', 'T'] => Some("XN Technologies, Inc."),
        ['X', 'O', 'C'] => Some("DO NOT USE - XOC"),
        ['X', 'Q', 'U'] => Some("SHANGHAI SVA-DAV ELECTRONICS CO., LTD"),
        ['X', 'R', 'C'] => Some("Xircom Inc"),
        ['X', 'R', 'O'] => Some("XORO ELECTRONICS (CHENGDU) LIMITED"),
        ['X', 'S', 'N'] => Some("Xscreen AS"),
        ['X', 'S', 'T'] => Some("XS Technologies Inc"),
        ['X', 'S', 'Y'] => Some("XSYS"),
        ['X', 'T', 'D'] => Some("Icuiti Corporation"),
        ['X', 'T', 'E'] => Some("X2E GmbH"),
        ['X', 'T', 'L'] => Some("Crystal Computer"),
        ['X', 'T', 'N'] => Some("X-10 (USA) Inc"),
        ['X', 'Y', 'C'] => Some("Xycotec Computer GmbH"),
        ['X', 'Y', 'E'] => Some("Shenzhen Zhuona Technology Co., Ltd."),
        ['Y', 'E', 'D'] => Some("Y-E Data Inc"),
        ['Y', 'H', 'Q'] => Some("Yokogawa Electric Corporation"),
        ['Y', 'H', 'W'] => Some("Exacom SA"),
        ['Y', 'M', 'H'] => Some("Yamaha Corporation"),
        ['Y', 'O', 'W'] => Some("American Biometric Company"),
        ['Z', 'A', 'N'] => Some("Zandar Technologies plc"),
        ['Z', 'A', 'X'] => Some("Zefiro Acoustics"),
        ['Z', 'A', 'Z'] => Some("ZeeVee, Inc."),
        ['Z', 'B', 'R'] => Some("Zebra Technologies International, LLC"),
        ['Z', 'B', 'X'] => Some("Zebax Technologies"),
        ['Z', 'C', 'T'] => Some("ZeitControl cardsystems GmbH"),
        ['Z', 'D', 'S'] => Some("Zenith Data Systems"),
        ['Z', 'E', 'N'] => Some("ZENIC Inc."),
        ['Z', 'G', 'T'] => Some("Zenith Data Systems"),
        ['Z', 'I', 'C'] => Some("Nationz Technologies Inc."),
        ['Z', 'M', 'C'] => Some("HangZhou ZMCHIVIN"),
        ['Z', 'M', 'T'] => Some("Zalman Tech Co., Ltd."),
        ['Z', 'M', 'Z'] => Some("Z Microsystems"),
        ['Z', 'N', 'I'] => Some("Zetinet Inc"),
        ['Z', 'N', 'X'] => Some("Znyx Adv. Systems"),
        ['Z', 'O', 'W'] => Some("Zowie Intertainment, Inc"),
        ['Z', 'R', 'N'] => Some("Zoran Corporation"),
        ['Z', 'S', 'E'] => Some("Zenith Data Systems"),
        ['Z', 'T', 'C'] => Some("ZyDAS Technology Corporation"),
        ['Z', 'T', 'E'] => Some("ZTE Corporation"),
        ['Z', 'T', 'I'] => Some("Zoom Telephonics Inc"),
        ['Z', 'T', 'M'] => Some("ZT Group Int'l Inc."),
        ['Z', 'T', 'T'] => Some("Z3 Technology"),
        ['Z', 'W', 'E'] => Some("Shenzhen Zowee Technology Co., LTD"),
        ['Z', 'Y', 'D'] => Some("Zydacron Inc"),
        ['Z', 'Y', 'P'] => Some("Zypcom Inc"),
        ['Z', 'Y', 'T'] => Some("Zytex Computers"),
        ['Z', 'Y', 'X'] => Some("Zyxel"),
        ['Z', 'Z', 'Z'] => Some("Boca Research Inc"),
        _ => None,
    }
}